SELECT
  s.type, s.datum_prechodu, s.autor,
  p.zkr_pred,
  p.zkr_kat,
  p.id_stav,
  p.pouzita_sablona,
  o.text,
  DECODE('cs', 'cs', v.cz_nazev, 'sk', v.cz_nazev, NVL(v.an_nazev, v.cz_nazev)) AS nazev_predmetu
FROM
  manager_predmety p, manager_stavy s, manager_poznamky o,
  pred_varianty@stag_cw.zcu.cz v

WHERE
  p.id_stav = s.id
  and (:stav = -2 or s.type = :stav)
  and p.zkr_kat in (:zkr_kat)
  and s.id_poznamka = o.id(+)
  and v.PRAC_ZKR = p.zkr_kat
  AND v.zkr_predm = p.zkr_pred
  and v.rok_varianty = (select ROK_PLATNOSTI from KALENDAR@stag_cw.zcu.cz where datum = trunc(SYSDATE))

order by zkr_kat, zkr_pred