select
distinct
  'normal' as typ_d,
  aa.jmeno,
  aa.prijmeni,
  aa.vyznamenani,
  aa.cislo_diplomu,
  aa.dat_promoce,
  os.rod_cislo,
  os.datum_naroz,
  cs.statidno as stat,
  (nvl(os.ulice,cob.nazev) || ' ' || nvl(os.cislo_ulice,'')) as ulice_cislo,
  os.ulice,
  os.cislo_ulice,
  os.psc_bydl,
  cob.nazev as obec,
  cok.okres,
  fn_meaning(os.titul_pred,'TITUL_PRED') as titul_pred,
  fn_meaning(os.titul_za,'TITUL_za') as titul_za,
  vs.fakulta_sp,
  vs.forma,
  vs.typ,
  vs.stpridno,
  pl.oboridno,
  o.cz_nazev as obor,
  sp.cz_nazev as program,
  sp.titul,
  TO_CHAR (NVL(aa.dat_vystaveni,st.DAT_UKONCENI), 'RRRR') AS rok,
  to_char(st.dat_nastupu,'RRRR') as dat_nastupu,
  st.os_cislo,
  fn_get_ucitel(ado.ucitidno,'JP','A') as vedouci
from
  abn_absolventi aa,
  studenti st,
  osoby os,
  vstudenti_na_programu_v_roce vs,
  studenti_na_oboru_v_roce so,
  studijni_plany pl,
  obory o,
  studijni_programy sp,
  cis_obci cob,
  cis_okresu cok,
  cis_statu cs,
  abn_dp_osoby ado,
  abn_diplomove_prace adp
  
where
  substr(os.jmeno,0,1) = :jmeno
  and substr(os.prijmeni,0,1)  = :prijmeni
 and os.rod_cislo =:rod_cislo
  and aa.os_cislo = st.os_cislo
  and st.osobidno = os.osobidno
  and st.absolvent = 'A'
  AND vs.rok_platnosti =
    (SELECT MAX (rok_platnosti)
    FROM vstudenti_na_programu_v_roce sn
    WHERE sn.os_cislo = st.os_cislo
    )
  AND vs.os_cislo    = st.os_cislo
  and so.os_cislo = st.os_cislo
  and so.rok_platnosti = vs.rok_platnosti
  and pl.stplidno = so.stplidno
  and o.oboridno = pl.oboridno
  and sp.stpridno = o.stpridno
  and os.obecidno_bydl = cob.obec_idno
  and cob.okresidno = cok.okresidno
  and cs.statidno = os.statidno_obca
  and adp.os_cislo(+) = aa.os_cislo
  and ado.adipidno(+) = adp.adipidno
  and ado.typ_osoby(+) = 'vedoucí'
  and o.tisk ='A'