select
	ro.PRAC_ZKR,
	ro.ZKR_PREDM,
	ro.reobidno reobidno,
	null pripidno,
	er.KOMENTAR,
	er.ROLE,
	fn_get_ucitel(er.UCITIDNO,'JP','A') as ucitel
from
	eva_resp_objekt ro,
	eva_respondenti re,
	eva_reakce er,
	cis_pracovist cp
WHERE
	re.dotaidno = :dotaidno
	and re.username is NULL
	and ro.respidno = re.respidno
	and ro.PRAC_ZKR = cp.ZKR
	and (:fakulta is null
				 or
		decode(cp.typ_prac,'K', cp.NAD_PRAC_ZKR, cp.ZKR) = :fakulta)
	and ( :prac_zkr is null
		 or   cp.zkr like nvl(:prac_zkr,'%') )

	and trim(ro.pripominka) is NOT null
	and er.reobidno = ro.reobidno
UNION ALL
select
	pp.PRAC_ZKR,
	pp.ZKR_PREDM,
	null reobidno,
	pp.PRIPIDNO,
	er.KOMENTAR,
	er.ROLE,
	fn_get_ucitel(er.UCITIDNO,'JP','A') as ucitel
from
	eva_pripominky pp,
	eva_reakce er,
	cis_pracovist cp
where
	pp.dotaidno = :dotaidno
	and pp.PRAC_ZKR = cp.ZKR
		and (:fakulta is null
				 or
		decode(cp.typ_prac,'K', cp.NAD_PRAC_ZKR, cp.ZKR) = :fakulta)
	and ( :prac_zkr is null
		 or   cp.zkr like nvl(:prac_zkr,'%') )
	and er.pripidno = pp.pripidno
order by
	prac_zkr,
	zkr_predm,
	pripidno,
	reobidno
