select * from (
select
  u.JMENO,
  u.PRIJMENI,
  u.UCITIDNO as pk_ucitidno,
  DECODE(:lang, 'cs', c1.RV_ABBREVIATION, 'sk', c1.RV_ABBREVIATION, NVL(c1.english, c1.RV_ABBREVIATION)) AS titul_pred,
  DECODE(:lang, 'cs', c2.RV_ABBREVIATION, 'sk', c2.RV_ABBREVIATION, NVL(c2.english, c2.RV_ABBREVIATION)) AS titul_za,
  DECODE(u.TITUL_PRED, null, null, c1.RV_ABBREVIATION||' ')||u.JMENO||' '||u.PRIJMENI|| DECODE(u.TITUL_ZA, null, null,', '||c2.RV_ABBREVIATION) as ucitel,
  u.PRIJMENI||' '||u.JMENO|| DECODE(u.TITUL_PRED, null, null, ' '||c1.RV_ABBREVIATION)||DECODE(u.TITUL_ZA, null, null,', '||c2.RV_ABBREVIATION) as ucitel2

from
  ucitele u,
  cg_ref_codes c1,
  cg_ref_codes c2

where
  u.PRAC_ZKR = upper(:zkr_kat)
  and u.prijmeni like nvl(:prijmeni, '%')
  and u.platnost = 'A'
  and c1.RV_DOMAIN(+) = 'TITUL_PRED'
  and c1.RV_LOW_VALUE(+) = u.TITUL_PRED
  and c2.RV_DOMAIN(+) = 'TITUL_ZA'
  and c2.RV_LOW_VALUE(+) = u.TITUL_ZA

union
  select
    u.JMENO,
    u.PRIJMENI,
    u.UCITIDNO as pk_ucitidno,
    DECODE(:lang, 'cs', c1.RV_ABBREVIATION, 'sk', c1.RV_ABBREVIATION, NVL(c1.english, c1.RV_ABBREVIATION)) AS titul_pred,
    DECODE(:lang, 'cs', c2.RV_ABBREVIATION, 'sk', c2.RV_ABBREVIATION, NVL(c2.english, c2.RV_ABBREVIATION)) AS titul_za,
    DECODE(u.TITUL_PRED, null, null, c1.RV_ABBREVIATION||' ')||u.JMENO||' '||u.PRIJMENI|| DECODE(u.TITUL_ZA, null, null,', '||c2.RV_ABBREVIATION) as ucitel,
    u.PRIJMENI||' '||u.JMENO|| DECODE(u.TITUL_PRED, null, null, ' '||c1.RV_ABBREVIATION)||DECODE(u.TITUL_ZA, null, null,', '||c2.RV_ABBREVIATION) as ucitel2

  from
    ucitele u,
    cg_ref_codes c1,
    cg_ref_codes c2,
    zamestnanci z

  where
    z.PRAC_ZKR = upper(:zkr_kat)
    and u.prijmeni like nvl(:prijmeni, '%')
    and u.UCITIDNO = z.UCITIDNO
    and u.platnost = 'A'
    and c1.RV_DOMAIN(+) = 'TITUL_PRED'
    and c1.RV_LOW_VALUE(+) = u.TITUL_PRED
    and c2.RV_DOMAIN(+) = 'TITUL_ZA'
    and c2.RV_LOW_VALUE(+) = u.TITUL_ZA
) x
    order by nlssort(x.prijmeni, 'NLS_SORT = XCzech'),nlssort(x.jmeno, 'NLS_SORT = XCzech')