select
  a.zkr_budovy as pk_zkr_budovy,
  a.cislo_mist as pk_cislo_mist,
  a.kapacita,
  DECODE(:lang, 'cs', c.RV_MEANING, 'sk', c.RV_MEANING, NVL(c.ENGLISH, c.RV_MEANING)) AS typ,
  decode(a.spol_fond, 'A', 'ano', 'N', 'ne', '') spol_fond,
  a.prac_zkr,
  nvl(substr(b.ulice_nazev, 1, instr(b.ulice_nazev, ',', 1) - 1), b.ulice_nazev) ulice,
  decode(b.ulice_cislo, '0', null, 'xx', null, ' '||b.ulice_cislo) cislo_popisne,
  o.nazev obec,
  a.zkr_budovy||a.cislo_mist as zkr,
  a.typ as fk_typ

from
  mistnosti a,
  cg_ref_codes c,
  budovy b,
  cis_obci o

where
  upper(a.zkr_budovy||a.cislo_mist) like translate(upper(nvl(:zkratka,'%')), '*', '%')
  and  a.zkr_budovy = b.zkr_budovy
  and  b.misto = o.obec_idno
  and  c.rv_low_value = a.typ
  and  c.rv_domain = 'TYP_UCEB'
  
order  by a.zkr_budovy, a.cislo_mist