select x.*, hb.*,
       zslast.oprava_vysledek_kontroly odev_last_vysledek_kontroly,
       zslast.oprava_poznamka odev_last_poznamka,
       zslast.oprava_pocet_bodu odev_last_pocet_bodu,
       zslast.oprava_datum odev_last_oprava_datum,
       zslast.oprava_ucitidno odev_last_oprava_ucitidno,
       fn_get_ucitel(zslast.oprava_ucitidno, 'JP', 'A') as odev_last_oprava_ucitel,
       zslast.oprava_soubor_cesta odev_last_oprava_soubor_cesta,
       zslast.oprava_soubor_nazev odev_last_oprava_soubor_nazev,
       decode(nvl(hb.OPRAVA_UCITIDNO,0), 0, null, fn_get_ucitel(hb.OPRAVA_UCITIDNO, 'JP', 'A')) as oprava_ucitel
from
(SELECT :temaIdno tema_idno, st.tym_idno, oscisla.os_cislo, st.datum_zapsani, st.je_vedouci, bl.blok_idno,
       o.prijmeni, o.jmeno, (select tym.nazev from zs_tymy tym where st.tym_idno = tym.tym_idno(+)) tym_nazev,
       tema.tema_nazev, tema.tema_popis, tema.velikost_tymu tema_velikost_tymu,
       bl.typ_bloku, ss.hodn_typ,
       (select count(*) from zs_odevzdana_prace zs where zs.TEMA_IDNO = tema.tema_idno and (zs.OS_CISLO = s.os_cislo or zs.TYM_IDNO = st.tym_idno) ) odev_celkovy_pocet,
       (select max(zs.prace_idno) from zs_odevzdana_prace zs where zs.TEMA_IDNO = tema.tema_idno and (zs.OS_CISLO = s.os_cislo or zs.TYM_IDNO = st.tym_idno) ) odev_last_praceidno
FROM
     (select distinct st2.os_cislo  -- tohle jsou zapsani studenti 
        from zs_studenti st2, zs_temata t2, zs_bloky bl2 
        where st2.TEMA_IDNO = :temaIdno and st2.tema_idno = t2.tema_idno and t2.blok_idno = bl2.blok_idno and bl2.typ_bloku in ('2','3')
      union all 
      select st2.os_cislo           -- tohle jsou autologin studenti
        from ss_student_ve_skupine st2, zs_temata t2, zs_bloky bl2 
        where st2.skup_idno = bl2.skup_idno and t2.tema_idno = :temaIdno and t2.blok_idno = bl2.blok_idno and bl2.typ_bloku = '1'  
     ) oscisla,
     zs_studenti st,
     studenti s, 
     osoby o, 
     zs_temata tema, 
     zs_bloky bl,
     ss_skupina_studentu ss
WHERE
      oscisla.os_cislo = st.os_cislo(+)
  and st.tema_idno(+) = :temaIdno
  and oscisla.os_cislo = s.os_cislo 
  and s.osobidno = o.osobidno 
  and tema.tema_idno = :temaIdno 
  and tema.blok_idno = bl.blok_idno
  and bl.skup_idno = ss.skup_idno
) x,
  zs_odevzdana_prace zslast,
  zs_hodnoceni_bloku hb
where
  x.os_cislo = hb.os_cislo(+)
  and x.blok_idno = hb.blok_idno(+)
  and zslast.prace_idno(+) = x.odev_last_praceidno
ORDER BY decode(x.tema_velikost_tymu, 1, 1, x.tym_idno) nulls first, prijmeni, jmeno

