select
    p.prac_zkr as pk_prac_zkr,
    p.zkr_predm as pk_zkr_predm,
    p.rok_varianty as pk_rok_varianty,
    prac1.nazev fakulta_nazev,
    prac1.zkr fakulta_zkr,
    prac.nazev katedra_nazev,
    DECODE(:lang, 'cs', p.cz_nazev, 'sk', p.cz_nazev, NVL(p.AN_NAZEV, p.cz_nazev)) as nazev,
    p.crd,
    p.vyuka_zs,
    p.vyuka_ls,
    p.akred,
    p.jednotek_cv,
    p.jednotek_pr,
    p.jednotek_sem,
    p.typ_zk as fk_typ_zk,
    p.hodnoceni_zk as fk_hodnoceni_zk,
    p.predz_za as fk_predz_za,
    DECODE(:lang, 'cs', p.cz_anotace, 'sk', p.cz_anotace, NVL(p.AN_ANOTACE, p.cz_anotace)) as anotace,
    DECODE(:lang, 'cs', c1.RV_MEANING, 'sk', c1.RV_MEANING, NVL(c1.ENGLISH, c1.RV_MEANING)) as jednotka,
    DECODE(:lang, 'cs', c2.RV_MEANING, 'sk', c2.RV_MEANING, NVL(c2.ENGLISH, c2.RV_MEANING)) as jednotka_cv,
    DECODE(:lang, 'cs', c3.RV_MEANING, 'sk', c3.RV_MEANING, NVL(c3.ENGLISH, c3.RV_MEANING)) as jednotka_sem,
    DECODE(:lang, 'cs', c4.RV_MEANING, 'sk', c4.RV_MEANING, NVL(c4.ENGLISH, c4.RV_MEANING)) as typ_zk,
    DECODE(:lang, 'cs', c5.RV_MEANING, 'sk', c5.RV_MEANING, NVL(c5.ENGLISH, c5.RV_MEANING)) as predz_za,
    DECODE(:lang, 'cs', c6.RV_MEANING, 'sk', c6.RV_MEANING, NVL(c6.ENGLISH, c6.RV_MEANING)) as vicezapis,
    DECODE(:lang, 'cs', c7.RV_MEANING, 'sk', c7.RV_MEANING, NVL(c7.ENGLISH, c7.RV_MEANING)) as do_prumeru,
    pp.url,
    DECODE(:lang, 'cs', pp.cz_pozadavky, 'sk', pp.cz_pozadavky, NVL(pp.AN_POZADAVKY, pp.cz_pozadavky)) as pozadavky,
    DECODE(:lang, 'cs', pp.cz_prehled_latky, 'sk', pp.cz_prehled_latky, NVL(pp.AN_PREHLED_LATKY, pp.cz_prehled_latky)) as prehled_latky

from
    pred_varianty p,
    cg_ref_codes c1,
    cg_ref_codes c2,
    cg_ref_codes c3,
    cg_ref_codes c4,
    cg_ref_codes c5,
    cg_ref_codes c6,
    cg_ref_codes c7,
    pred_programy pp,
        --ucitele u,
        cis_pracovist prac,
        cis_pracovist prac1
where
    p.prac_zkr = UPPER(:katedra)
  and  p.zkr_predm = UPPER(:zkr_predm)
  and  p.rok_varianty = nvl(:rok, (select ROK_PLATNOSTI from KALENDAR where datum = trunc(SYSDATE)))
  and  p.prac_zkr = pp.prac_zkr(+)
  and  p.zkr_predm = pp.zkr_predm(+)
  and  p.rok_varianty = pp.rok_varianty(+)
  and  p.jednotka_pr = c1.rv_low_value
  and  c1.rv_domain = 'JEDNOTKA_VYUKY'
  and  p.jednotka_cv = c2.rv_low_value
  and  c2.rv_domain = 'JEDNOTKA_VYUKY'
  and  p.jednotka_sem = c3.rv_low_value
  and  c3.rv_domain = 'JEDNOTKA_VYUKY'
  and  p.typ_zk = c4.rv_low_value
  and  c4.rv_domain = 'TYP_ZK_NEW'
  and  p.predz_za = c5.rv_low_value
  and  c5.rv_domain = 'ANO_NE'
  and  p.vicezapis = c6.rv_low_value
  and  c6.rv_domain = 'ANO_NE'
  and  p.do_prumeru = c7.rv_low_value
  and  c7.rv_domain = 'ANO_NE'
    and prac.nad_prac_zkr = prac1.zkr
    AND prac1.typ_prac = 'F'
    AND p.prac_zkr=prac.zkr