select
	u.UCITIDNO as pk_ucitidno,
	u.JMENO, u.PRIJMENI,
	DECODE(:lang, 'cs', c1.RV_ABBREVIATION, 'sk', c1.RV_ABBREVIATION, NVL(c1.english, c1.RV_ABBREVIATION)) AS titul_pred,
	DECODE(:lang, 'cs', c2.RV_ABBREVIATION, 'sk', c2.RV_ABBREVIATION, NVL(c2.english, c2.RV_ABBREVIATION)) AS titul_za,
	DECODE(u.TITUL_PRED, NULL, NULL, c1.RV_ABBREVIATION||' ')||u.JMENO||' '||u.PRIJMENI||DECODE(u.TITUL_ZA, NULL, NULL,', '||c2.RV_ABBREVIATION) as ucitel

from
	ucitele u,
	 ucitele_predmetu up,
	 cg_ref_codes c1,
	 cg_ref_codes c2

where
	up.ZKR_PREDM = UPPER(:zkr_predm)
	and up.PRAC_ZKR = UPPER(:katedra)
	and up.ROK_VARIANTY = nvl(:rok, TO_CHAR(ADD_MONTHS(SYSDATE,-10),'RRRR'))
	and up.PREDNASEJICI = 'A'
	and u.UCITIDNO = up.UCITIDNO
	and c1.RV_DOMAIN(+) = 'TITUL_PRED'
	and c1.RV_LOW_VALUE(+) = u.TITUL_PRED
	and c2.RV_DOMAIN(+) = 'TITUL_ZA'
	and c2.RV_LOW_VALUE(+) = u.TITUL_ZA

order by
	u.PRIJMENI,
	u.JMENO