SELECT DISTINCT
       OS.prijmeni,
       OS.jmeno,
       ST.os_cislo as student,
       X.kdy,
       (SELECT fn_meaning2(X.operace,'OPERACE') FROM dual) as operace,
       X.odzapis_po_dnech,
       round(to_date(to_char(TE.datum,'DD.MM.RRRR')||' '||to_char(TE.HOD_OD,'HH24:MI'),'DD.MM.RRRR HH24:MI')- X.kdy,2) as kolik_dni_pred_terminem,
       TE.DATUM as termin,
       to_char(TE.HOD_OD,'HH24:MI') as hodina_od,
       TE.ZKR_BUDOVY||'-'||TE.CISLO_MIST as mistnost,
       (select fn_get_ucitel(TE.UCITIDNO,'PJ','N') from dual) as ucitel,
       (SELECT fn_meaning2(TE.TYP_TERMINU,'TYP_TERMINU') FROM dual) as typ_terminu,
       TE.termidno,
       ZN.semestr,
       decode(ZN.uznano,'N',ZN.zapocet_slovni_hodnoceni,NULL) as hodnoceni_zapocet,
       decode(ZN.uznano,'N',decode(ZN.hodnoceni_zk,'1',(select fn_meaning_zn_cis(ZN.znamka,'ZNAMKA',ZN.ROK_VARIANTY) from dual)/*(fn_meaning(ZN.znamka,'ZNAMKA'))*/,ZN.slovni_hodnoceni),NULL) as hodnoceni
  FROM osoby OS,
       studenti ST,
       znamky ZN,
       terminy TE,
(
SELECT SNZ.os_cislo,
       SNZ.termidno,
       SNZ.rok_platnosti,
       SNZ.prac_zkr,
       SNZ.zkr_predm,
       SNZ.rok_varianty,
       SNZ.semestr,
       --SNZ.stplidno,
       SNZ.date_of_insert as kdy,
       'I' as operace,
       NULL as odzapis_po_dnech
  FROM studenti_na_zkouskach SNZ
 WHERE SNZ.prac_zkr = :prac_zkr
   AND SNZ.ZKR_PREDM = :zkr_predm
   AND SNZ.ROK_VARIANTY = :rok_varianty
   --AND SNZ.semestr = .semestr
UNION
SELECT SNZA.os_cislo,
       SNZA.termidno,
       SNZA.rok_platnosti,
       SNZA.prac_zkr,
       SNZA.zkr_predm,
       SNZA.rok_varianty,
       SNZA.semestr,
       --SNZA.stplidno,
       SNZA.datum_a_cas_prihlaseni as kdy,
       'I' as operace,
       NULL odzapis_po_dnech
  FROM studenti_na_zkouskach_audit SNZA
 WHERE SNZA.prac_zkr = :prac_zkr
   AND SNZA.ZKR_PREDM = :zkr_predm
   AND SNZA.ROK_VARIANTY = :rok_varianty
   --AND SNZA.semestr = .semestr
UNION
SELECT SNZA.os_cislo,
       SNZA.termidno,
       SNZA.rok_platnosti,
       SNZA.prac_zkr,
       SNZA.zkr_predm,
       SNZA.rok_varianty,
       SNZA.semestr,
       --SNZA.stplidno,
       SNZA.datum_a_cas_odhlaseni as kdy,
       'D' as operace,
       SNZA.datum_a_cas_odhlaseni - SNZA.datum_a_cas_prihlaseni as odzapis_po_dnech
  FROM studenti_na_zkouskach_audit SNZA
 WHERE SNZA.prac_zkr = :prac_zkr
   AND SNZA.ZKR_PREDM = :zkr_predm
   AND SNZA.ROK_VARIANTY = :rok_varianty
   --AND SNZA.semestr = .semestr
) X
 WHERE X.termidno = TE.termidno
   AND X.os_cislo = ST.os_cislo
   AND ST.osobidno = OS.osobidno
   AND X.os_cislo = ZN.os_cislo
   AND X.rok_platnosti = ZN.rok_platnosti
   AND X.prac_zkr = ZN.prac_zkr
   AND X.zkr_predm = ZN.zkr_predm
   AND X.rok_varianty = ZN.rok_varianty
   AND X.semestr = ZN.semestr
   --AND X.stplidno = ZN.stplidno
ORDER BY zn.semestr desc,
       OS.prijmeni,
       OS.jmeno,
       ST.os_cislo,
       TE.DATUM,to_char(TE.HOD_OD,'HH24:MI'),TE.ZKR_BUDOVY||'-'||TE.CISLO_MIST,typ_terminu,TE.termidno,
       X.kdy


/*
--puvodni select ktery bral data jeste primo z auditu STAGu
SELECT DISTINCT
       OS.prijmeni,
       OS.jmeno,
ST.os_cislo,
substr(AD.pk,INSTRB(AD.pk,'#',1,5)+1,INSTRB(AD.pk,'#',1,6)-INSTRB(AD.pk,'#',1,5)-1)
as student,
       AD.kdy,
       (SELECT fn_meaning2(AD.operace,'OPERACE') FROM dual)
as operace,
       round(decode(AD.operace,'D',AD.kdy-(SELECT max(AD2.kdy)
FROM
audit_data AD2 WHERE AD.pk = AD2.pk AND AD2.operace = 'I' AND AD2.kdy <=
AD.kdy),NULL),2) as odzapis_po_dnech,
       round(to_date(to_char(TE.datum,'DD.MM.RRRR')||'
'||to_char(TE.HOD_OD,'HH24:MI'),'DD.MM.RRRR HH24:MI')
- AD.kdy,2) as
kolik_dni_pred_terminem,
       TE.DATUM as termin,
       to_char(TE.HOD_OD,'HH24:MI') as hodina_od,
       TE.ZKR_BUDOVY||'-'||TE.CISLO_MIST as mistnost,
       (select fn_get_ucitel(TE.UCITIDNO,'PJ','N') from dual) as ucitel,
       (SELECT fn_meaning2(TE.TYP_TERMINU,'TYP_TERMINU') FROM
dual) as
typ_terminu,
te.termidno,
(select ZN.zapocet_slovni_hodnoceni FROM znamky ZN WHERE ZN.os_cislo= ST.os_cislo AND ZN.prac_zkr=TE.prac_zkr AND ZN.zkr_predm=TE.zkr_predm AND ZN.rok_varianty=TE.rok_platnosti AND ZN.uznano='N') as hodnoceni_zapocet,
(select decode(ZN.hodnoceni_zk,'1',(fn_meaning(ZN.znamka,'ZNAMKA')),ZN.slovni_hodnoceni) FROM znamky ZN WHERE ZN.os_cislo= ST.os_cislo AND ZN.prac_zkr=TE.prac_zkr AND ZN.zkr_predm=TE.zkr_predm AND ZN.rok_varianty=TE.rok_platnosti AND ZN.uznano='N') as hodnoceni

  FROM audit_data AD,
       terminy TE,
       studenti ST,
       osoby OS
 WHERE AD.pk like
TE.prac_zkr||'#'||TE.zkr_predm||'#'||TE.ROK_PLATNOSTI||'#__#'||TE.termidno||'#%'
AND AD.tabulka = 'STUDENTI_NA_ZKOUSKACH'
   AND AD.polozka = 'OS_CISLO'
   AND TE.prac_zkr = .prac_zkr --'KMA'
   AND TE.ZKR_PREDM = .zkr_predm --'TGD1'
   AND TE.ROK_PLATNOSTI = .rok_varianty --'2009'
   AND
substr(AD.pk,INSTRB(AD.pk,'#',1,5)+1,INSTRB(AD.pk,'#',1,6)-INSTRB(AD.pk,'#',1,5)-1)
= ST.os_cislo
   AND ST.osobidno = OS.osobidno
 ORDER BY OS.prijmeni,
       OS.jmeno,
       ST.os_cislo,
       --TE.termidno,
       TE.DATUM,to_char(TE.HOD_OD,'HH24:MI'),TE.ZKR_BUDOVY||'-'||TE.CISLO_MIST,typ_terminu,TE.termidno,
       AD.kdy
*/