select
    nv.prac_zkr_vylu as pk_prac_zkr,
    nv.zkr_predm_vylu as pk_zkr_predm,
    DECODE(:lang, 'cs', p.cz_nazev, 'sk', p.cz_nazev, NVL(p.AN_NAZEV, p.cz_nazev)) as nazev

from
    np_vyluc nv,
    pred_varianty p

where
    nv.prac_zkr = upper(:pracoviste)
    and  nv.zkr_predm = upper(:zkr_pred)
    and p.PRAC_ZKR = nv.PRAC_ZKR_vylu
    and p.ZKR_PREDM = nv.ZKR_PREDM_vylu
    and p.ROK_VARIANTY = (
        select
            max(pr.rok_varianty)
        from
            pred_varianty pr
        where
            pr.PRAC_ZKR = nv.PRAC_ZKR_vylu
            and pr.ZKR_PREDM = nv.ZKR_PREDM_vylu
        )

order  by 1, 2