select
DECODE(:lang, 'cs', cp.nazev, 'sk', cp.nazev, NVL(cp.an_nazev, cp.nazev)) AS nazev,
cp.cislo_prac,
cp.zkr,
cp.NAD_PRAC_ZKR,
cp.platnost_od,
cp.platnost_do,
cp.ucitidno as ucitidno,
cp.url,
DECODE(u.TITUL_PRED, NULL, NULL, c1.RV_ABBREVIATION||' ')||u.JMENO||' '||u.PRIJMENI||DECODE(u.TITUL_ZA, NULL, NULL,', '||c2.RV_ABBREVIATION) as ucitel,
 DECODE(:lang, 'cs', c3.RV_MEANING, 'sk', c3.RV_MEANING, NVL(c3.english, c3.RV_MEANING)) AS typ_prac,
 DECODE(:lang, 'cs', c4.RV_MEANING, 'sk', c4.RV_MEANING, NVL(c4.english, c4.RV_MEANING)) AS typ_vedouciho
from
  cis_pracovist cp,
  ucitele u,
  cg_ref_codes c1,
  cg_ref_codes c2,
  cg_ref_codes c3,
  cg_ref_codes c4

where
  cp.zkr= :prac_zkr
  and cp.ucitidno = u.ucitidno(+)
  AND c1.RV_DOMAIN(+) = 'TITUL_PRED'
 AND c1.RV_LOW_VALUE(+) = u.TITUL_PRED
 AND c2.RV_DOMAIN(+) = 'TITUL_ZA'
 AND c2.RV_LOW_VALUE(+) = u.TITUL_ZA
 AND c3.RV_DOMAIN(+) = 'TYP_PRACOVISTE'
 AND c3.RV_LOW_VALUE(+) = cp.TYP_PRAC
  AND c4.RV_DOMAIN(+) = 'TYP_VEDOUCIHO'
 AND c4.RV_LOW_VALUE(+) = cp.TYP_VEDOUCIHO