SELECT   zn.prac_zkr, zn.zkr_predm, zn.rok_varianty,
         CASE
            WHEN zn.typ_zk = '4'
               THEN 'Zp'
            WHEN zn.typ_zk <> '4' AND pv.predz_za = 'A'
               THEN 'Zppzk_Zk'
            WHEN zn.typ_zk <> '4' AND pv.predz_za = 'N'
               THEN 'Zk'
         END AS typ_zobrazeni,
         fn_meaning2(svr.misto_vyuky, 'MISTO_VYUKY') AS misto_vyuky,
         SUM (DECODE (zn.uznano, 'A', 1, 0)) AS predmet_uznan,
         SUM (DECODE (zn.uznano, 'O', 1, 0)) AS predmet_odlozen_preruseno,
         SUM (CASE
                 WHEN zn.uznano = 'N'
                 AND zn.typ_zk = '4'
                 AND NVL (zn.slovni_hodnoceni, '-1') = 'S'
                    THEN 1
                 ELSE 0
              END
             ) AS zp_splneno,
         SUM
            (CASE
                WHEN zn.uznano = 'N'
                AND zn.typ_zk = '4'
                AND NVL (zn.slovni_hodnoceni, '-1') = 'N'
                AND NVL (zn.pokus_cislo, 0) >=
                       nvl(least(nvl((select
                        PG_CTI_PARAMETRY.CTI_CISLO_OC('TERM_MAX_POCET_TERM_FAK_ZK',zn.os_cislo) from
                        dual),
                        (select
                        pg_cti_parametry.cti_cislo_kat('TERM_MAX_POCET_TERM_STUD_ZK',zn.prac_zkr) from
                        dual)),
                        nvl((select
                        PG_CTI_PARAMETRY.CTI_CISLO_OC('TERM_MAX_POCET_TERM_FAK_ZK',zn.os_cislo) from
                        dual) ,
                        (select
                        pg_cti_parametry.cti_cislo_kat('TERM_MAX_POCET_TERM_STUD_ZK',zn.prac_zkr) from
                        dual))),3)
                   THEN 1
                ELSE 0
             END
            ) AS zp_jiz_nemuze_ziskat,
         SUM
            (CASE
                WHEN zn.uznano = 'N'
                AND zn.typ_zk = '4'
                AND NVL (zn.slovni_hodnoceni, 'N') = 'N'
                AND NVL (zn.pokus_cislo, 0) <
                       nvl(least(nvl((select
                        PG_CTI_PARAMETRY.CTI_CISLO_OC('TERM_MAX_POCET_TERM_FAK_ZK',zn.os_cislo) from
                        dual),
                        (select
                        pg_cti_parametry.cti_cislo_kat('TERM_MAX_POCET_TERM_STUD_ZK',zn.prac_zkr) from
                        dual)),
                        nvl((select
                        PG_CTI_PARAMETRY.CTI_CISLO_OC('TERM_MAX_POCET_TERM_FAK_ZK',zn.os_cislo) from
                        dual) ,
                        (select
                        pg_cti_parametry.cti_cislo_kat('TERM_MAX_POCET_TERM_STUD_ZK',zn.prac_zkr) from
                        dual))),3)
                AND st.stav = 'S'
                   THEN 1
                ELSE 0
             END
            ) AS zp_muze_ziskat,
         SUM (CASE
                 WHEN zn.uznano = 'N'
                 AND zn.typ_zk <> '4'
                 AND pv.predz_za = 'A'
                 AND NVL (zn.zapocet_slovni_hodnoceni, '-1') = 'S'
                    THEN 1
                 ELSE 0
              END
             ) AS zppzk_splneno,
         SUM
            (CASE
                WHEN zn.uznano = 'N'
                AND zn.typ_zk <> '4'
                AND pv.predz_za = 'A'
                AND NVL (zn.zapocet_slovni_hodnoceni, '-1') = 'N'
                AND NVL (zn.zapocet_pokus, 0) >=
                       nvl(least(nvl((select
                            PG_CTI_PARAMETRY.CTI_CISLO_OC('TERM_MAX_POCET_TERM_FAK_ZPPZK',zn.os_cislo) from
                            dual),
                            (select
                            pg_cti_parametry.cti_cislo_kat('TERM_MAX_POCET_TERM_STUD_ZPPZK',zn.prac_zkr)
                            from dual)),
                            nvl((select
                            PG_CTI_PARAMETRY.CTI_CISLO_OC('TERM_MAX_POCET_TERM_FAK_ZPPZK',zn.os_cislo) from
                            dual) ,
                            (select
                            pg_cti_parametry.cti_cislo_kat('TERM_MAX_POCET_TERM_STUD_ZPPZK',zn.prac_zkr)
                            from dual))),3)
                --AND trunc(pg_cti_parametry.CTI_DATUM_ROK_KAT('DEADLINE_ZNAMKY',zn.rok_platnosti,zn.prac_zkr)) <= trunc(sysdate)
                   THEN 1
                ELSE 0
             END
            ) AS zppzk_jiz_nemuze_ziskat,
         SUM
            (CASE
                WHEN zn.uznano = 'N'
                AND zn.typ_zk <> '4'
                AND pv.predz_za = 'A'
                AND NVL (zn.zapocet_slovni_hodnoceni, 'N') = 'N'
                AND NVL (zn.zapocet_pokus, 0) <
                          nvl(least(nvl((select
                            PG_CTI_PARAMETRY.CTI_CISLO_OC('TERM_MAX_POCET_TERM_FAK_ZPPZK',zn.os_cislo) from
                            dual),
                            (select
                            pg_cti_parametry.cti_cislo_kat('TERM_MAX_POCET_TERM_STUD_ZPPZK',zn.prac_zkr)
                            from dual)),
                            nvl((select
                            PG_CTI_PARAMETRY.CTI_CISLO_OC('TERM_MAX_POCET_TERM_FAK_ZPPZK',zn.os_cislo) from
                            dual) ,
                            (select
                            pg_cti_parametry.cti_cislo_kat('TERM_MAX_POCET_TERM_STUD_ZPPZK',zn.prac_zkr)
                            from dual))),3)
                AND st.stav = 'S'
                --AND trunc(pg_cti_parametry.CTI_DATUM_ROK_KAT('DEADLINE_ZNAMKY',zn.rok_platnosti,zn.prac_zkr)) > trunc(sysdate)
                   THEN 1
                ELSE 0
             END
            ) AS zppzk_muze_ziskat,
         SUM (CASE
                 WHEN zn.uznano = 'N'
                 AND zn.typ_zk <> '4'
                 AND (   (    zn.hodnoceni_zk = '1'
                          AND NVL ((select fn_meaning_en (zn.znamka, 'ZNAMKA') from dual), '-1') =
                                                                           'A'
                         )
                      OR (    zn.hodnoceni_zk = '2'
                          AND NVL (zn.slovni_hodnoceni, '-1') = 'S'
                         )
                     )
                    THEN 1
                 ELSE 0
              END
             ) AS zk_splneno,
         SUM
            (CASE
                WHEN zn.uznano = 'N'
                AND zn.typ_zk <> '4'
                AND (   (    (   (    zn.hodnoceni_zk = '1'
                                  AND NVL ((select fn_meaning_en (zn.znamka, 'ZNAMKA') from dual),
                                           '-1'
                                          ) = 'N'
                                 )
                              OR (    zn.hodnoceni_zk = '2'
                                  AND NVL (zn.slovni_hodnoceni, '-1') = 'N'
                                 )
                             )
                         AND NVL (zn.pokus_cislo, 0) >=
                                nvl(least(nvl((select
                                    PG_CTI_PARAMETRY.CTI_CISLO_OC('TERM_MAX_POCET_TERM_FAK_ZK',zn.os_cislo) from
                                    dual),
                                    (select
                                    pg_cti_parametry.cti_cislo_kat('TERM_MAX_POCET_TERM_STUD_ZK',zn.prac_zkr) from
                                    dual)),
                                    nvl((select
                                    PG_CTI_PARAMETRY.CTI_CISLO_OC('TERM_MAX_POCET_TERM_FAK_ZK',zn.os_cislo) from
                                    dual) ,
                                    (select
                                    pg_cti_parametry.cti_cislo_kat('TERM_MAX_POCET_TERM_STUD_ZK',zn.prac_zkr) from
                                    dual))),3)
                        )
                     OR (    NVL (zn.zapocet_slovni_hodnoceni, '-1') = 'N'
                         AND NVL (zn.zapocet_pokus, 0) >=
                              nvl(least(nvl((select
                                PG_CTI_PARAMETRY.CTI_CISLO_OC('TERM_MAX_POCET_TERM_FAK_ZPPZK',zn.os_cislo) from
                                dual),
                                (select
                                pg_cti_parametry.cti_cislo_kat('TERM_MAX_POCET_TERM_STUD_ZPPZK',zn.prac_zkr)
                                from dual)),
                                nvl((select
                                PG_CTI_PARAMETRY.CTI_CISLO_OC('TERM_MAX_POCET_TERM_FAK_ZPPZK',zn.os_cislo) from
                                dual) ,
                                (select
                                pg_cti_parametry.cti_cislo_kat('TERM_MAX_POCET_TERM_STUD_ZPPZK',zn.prac_zkr)
                                from dual))),3)
                        )
                    )
                   THEN 1
                ELSE 0
             END
            ) AS zk_jiz_nemuze_ziskat,
         SUM
            (CASE
                WHEN zn.uznano = 'N'
                AND zn.typ_zk <> '4'
                AND (    (   (    zn.hodnoceni_zk = '1'
                              AND NVL ((select fn_meaning_en (zn.znamka, 'ZNAMKA') from dual),
                                       'N'
                                      ) = 'N'
                             )
                          OR (    zn.hodnoceni_zk = '2'
                              AND NVL (zn.slovni_hodnoceni, 'N') = 'N'
                             )
                         )
                     AND NVL (zn.pokus_cislo, 0) <
                            nvl(least(nvl((select
                                PG_CTI_PARAMETRY.CTI_CISLO_OC('TERM_MAX_POCET_TERM_FAK_ZK',zn.os_cislo) from
                                dual),
                                (select
                                pg_cti_parametry.cti_cislo_kat('TERM_MAX_POCET_TERM_STUD_ZK',zn.prac_zkr) from
                                dual)),
                                nvl((select
                                PG_CTI_PARAMETRY.CTI_CISLO_OC('TERM_MAX_POCET_TERM_FAK_ZK',zn.os_cislo) from
                                dual) ,
                                (select
                                pg_cti_parametry.cti_cislo_kat('TERM_MAX_POCET_TERM_STUD_ZK',zn.prac_zkr) from
                                dual))),3)
                    )
                AND (    (NVL (zn.zapocet_slovni_hodnoceni, 'S') = 'S') OR ( NVL (zn.zapocet_slovni_hodnoceni, 'S') = 'N'
                        AND NVL (zn.zapocet_pokus, 0) <
                              nvl(least(nvl((select
                                PG_CTI_PARAMETRY.CTI_CISLO_OC('TERM_MAX_POCET_TERM_FAK_ZPPZK',zn.os_cislo) from
                                dual),
                                (select
                                pg_cti_parametry.cti_cislo_kat('TERM_MAX_POCET_TERM_STUD_ZPPZK',zn.prac_zkr)
                                from dual)),
                                nvl((select
                                PG_CTI_PARAMETRY.CTI_CISLO_OC('TERM_MAX_POCET_TERM_FAK_ZPPZK',zn.os_cislo) from
                                dual) ,
                                (select
                                pg_cti_parametry.cti_cislo_kat('TERM_MAX_POCET_TERM_STUD_ZPPZK',zn.prac_zkr)
                                from dual))),3)
                        )
                    )
                AND st.stav = 'S'
                   THEN 1
                ELSE 0
             END
            ) AS zk_muze_ziskat,
         SUM
            (CASE
                WHEN zn.uznano = 'N'
                AND zn.typ_zk <> '4'
                AND (    (   (    zn.hodnoceni_zk = '1'
                              AND NVL ((select fn_meaning_en (zn.znamka, 'ZNAMKA') from dual),
                                       'N'
                                      ) = 'N'
                             )
                          OR (    zn.hodnoceni_zk = '2'
                              AND NVL (zn.slovni_hodnoceni, 'N') = 'N'
                             )
                         )
                     AND NVL (zn.pokus_cislo, 0) <
                            nvl(least(nvl((select
                                PG_CTI_PARAMETRY.CTI_CISLO_OC('TERM_MAX_POCET_TERM_FAK_ZK',zn.os_cislo) from
                                dual),
                                (select
                                pg_cti_parametry.cti_cislo_kat('TERM_MAX_POCET_TERM_STUD_ZK',zn.prac_zkr) from
                                dual)),
                                nvl((select
                                PG_CTI_PARAMETRY.CTI_CISLO_OC('TERM_MAX_POCET_TERM_FAK_ZK',zn.os_cislo) from
                                dual) ,
                                (select
                                pg_cti_parametry.cti_cislo_kat('TERM_MAX_POCET_TERM_STUD_ZK',zn.prac_zkr) from
                                dual))),3)
                    )
                AND (    pv.predz_za = 'A'
                     AND NVL (zn.zapocet_slovni_hodnoceni, 'N') = 'N'
                     AND NVL (zn.zapocet_pokus, 0) <
                           nvl(least(nvl((select
                                PG_CTI_PARAMETRY.CTI_CISLO_OC('TERM_MAX_POCET_TERM_FAK_ZPPZK',zn.os_cislo) from
                                dual),
                                (select
                                pg_cti_parametry.cti_cislo_kat('TERM_MAX_POCET_TERM_STUD_ZPPZK',zn.prac_zkr)
                                from dual)),
                                nvl((select
                                PG_CTI_PARAMETRY.CTI_CISLO_OC('TERM_MAX_POCET_TERM_FAK_ZPPZK',zn.os_cislo) from
                                dual) ,
                                (select
                                pg_cti_parametry.cti_cislo_kat('TERM_MAX_POCET_TERM_STUD_ZPPZK',zn.prac_zkr)
                                from dual))),3)
                    )
                AND st.stav = 'S'
                   THEN 1
                ELSE 0
             END
            ) AS zk_muze_ziskat_nema_zppzk
    FROM pred_varianty pv, znamky zn, studenti st, studenti_v_roce svr
   WHERE zn.prac_zkr = :par_prac_zkr
     AND zn.zkr_predm = :par_zkr_predm
     AND zn.rok_platnosti = :par_rok_platnosti
     AND zn.rok_varianty = zn.rok_platnosti
     AND svr.os_cislo = st.os_cislo
     AND svr.rok_platnosti = zn.rok_platnosti
     AND st.os_cislo = zn.os_cislo
     AND pv.prac_zkr = zn.prac_zkr
     AND pv.zkr_predm = zn.zkr_predm
     AND pv.rok_varianty = zn.rok_varianty
GROUP BY zn.prac_zkr,
         zn.zkr_predm,
         zn.rok_varianty,
         CASE
            WHEN zn.typ_zk = '4'
               THEN 'Zp'
            WHEN zn.typ_zk <> '4' AND pv.predz_za = 'A'
               THEN 'Zppzk_Zk'
            WHEN zn.typ_zk <> '4' AND pv.predz_za = 'N'
               THEN 'Zk'
         END,
         fn_meaning2 (svr.misto_vyuky, 'MISTO_VYUKY')
ORDER BY zn.prac_zkr,
         zn.zkr_predm,
         zn.rok_varianty,
         fn_meaning2 (svr.misto_vyuky, 'MISTO_VYUKY')