SELECT
    t.semestr AS fk_semestr,
    t.datum,
    t.hod_od as hod_skut_od,
    t.hod_do as hod_skut_do,
    t.blok_datum,
    blok_datum_prihlaseni,
    datum_start,
    decode(u.TITUL_PRED, null, null, c4.RV_ABBREVIATION||' ')||u.JMENO||' '||u.PRIJMENI||
    decode(u.TITUL_ZA, null, null,', '||c5.RV_ABBREVIATION) as zkousejici,
    t.ucitidno as fk_ucitidno,
    u.email AS zkousejici_email,
    u.telefon AS zkousejici_telefon,
    t.poznamka,
    t.limit_terminu,
    t.obsazeni_terminu,
    t.platnost,
    t.zkr_budovy as fk_zkr_budovy,
    t.cislo_mist as fk_cislo_mist,
    t.grteidno as fk_grteidno,
    g.grupa_plan,
    g.grupa_obsazeni,
    n.celk_plan,
    n.celk_obsazeni,
    DECODE(:lang, 'cs', c1.rv_meaning, 'sk', c1.rv_meaning, NVL(c1.english, c1.rv_meaning)) AS typ_terminu,
    decode(Fn_Zive_Datum(nvl(t.blok_datum,t.datum),nvl(t.blok_datum,t.hod_od)),1,'A','NA') AS aktualni,
    DECODE(:lang, 'cs', p.cz_nazev, 'sk', p.cz_nazev, NVL(p.an_nazev, p.cz_nazev)) AS nazev_predmetu,
    t.termidno AS pk_termidno,
    z.rok_platnosti as fk_rok_platnosti,
    z.prac_zkr as fk_prac_zkr,
    z.zkr_predm as fk_zkr_predm,
    z.rok_varianty AS fk_rok_varianty,
    z.stplidno as fk_stplidno

FROM
    TERMINY t,
    GRUPY_TERMINU g,
    nadgrupy_terminu n,
    ucitele u,
    cg_ref_codes c1,
    znamky z,
    Pred_varianty p,
    cg_ref_codes c4,
    cg_ref_codes c5, Studenti_na_zkouskach s

WHERE    t.platnost IN ('A', 'N')
    AND  t.grteidno=g.grteidno(+)
    AND  g.nateidno=n.nateidno(+)
    AND  Fn_Zive_Datum(t.datum,t.hod_od)=1
    and  t.ucitidno=u.ucitidno
    and  t.typ_terminu=c1.rv_low_value
    and  c1.rv_domain='TYP_TERMINU'
    AND  NOT (nvl(z.slovni_hodnoceni,'N')='S' or nvl(z.znamka,4)<4 or nvl(z.pokus_cislo, 0) = 3)
    AND  z.uznano='N'
    AND  p.ZKR_PREDM = t.ZKR_PREDM
    AND  p.PRAC_ZKR = t.PRAC_ZKR
    AND  p.ROK_VARIANTY = z.ROK_VARIANTY
    and  c4.RV_DOMAIN(+) = 'TITUL_PRED'
    and  c4.RV_LOW_VALUE(+) = u.TITUL_PRED
    and  c5.RV_DOMAIN(+) = 'TITUL_ZA'
    and  c5.RV_LOW_VALUE(+) = u.TITUL_ZA
    and  t.TERMIDNO = s.termidno
    and  s.Os_cislo = upper(:os_cislo)
    and  s.OS_CISLO=z.os_cislo
    and  s.rok_platnosti =z.rok_platnosti
    and  s.semestr = z.semestr
    AND  s.zkr_predm=z.ZKR_PREDM
    AND  s.prac_zkr=z.PRAC_ZKR
    and  s.rok_varianty=z.rok_varianty
    AND  s.rok_platnosti=z.ROK_PLATNOSTI
ORDER BY
    t.datum,
    t.hod_od