select
  o.OBORIDNO,
  s.STPLIDNO,
  o.FAKULTA_OBORU,
  s.VERZE,
	decode(:lang ,'cs',c1.RV_MEANING,'sk',c1.RV_MEANING,nvl(c1.ENGLISH,c1.RV_MEANING)) as typ_interni,
  decode(:lang,'cs',c2.RV_MEANING,'sk',c2.RV_MEANING,nvl(c2.ENGLISH,c2.RV_MEANING)) as typ_certifikatu,
  decode(:lang,'cs',o.CZ_NAZEV,'sk',o.CZ_NAZEV,nvl(o.AN_NAZEV,o.CZ_NAZEV)) as nazev,
  decode(:lang,'cs',o.CZ_ANOTACE,'sk',o.CZ_ANOTACE,nvl(o.AN_ANOTACE,o.CZ_ANOTACE)) as anotace

from
  obory o,
  studijni_plany s,
  cg_ref_codes c1,
  cg_ref_codes c2

where
  o.typ_i = 'cert'
    and  o.FAKULTA_OBORU like upper(:fakulta)
  and o.platny_od <= :rok_platnosti
    and (o.neplatny_od is null OR (o.neplatny_od > :rok_platnosti))
    and o.OBORIDNO = s.OBORIDNO
    and s.ROK_PLATNOSTI = :rok_platnosti
    and c1.RV_DOMAIN = 'TYP_OBORU_INTERNI'
    and c1.RV_LOW_VALUE = o.TYP_I
    and c2.RV_DOMAIN = 'TYP_CERTIFIKATU'
    and c2.RV_LOW_VALUE = o.TYP_CERTIFIKATU
order by fakulta_oboru,nazev