select
  sp.STPRIDNO as pk_stpridno,
  DECODE(:lang, 'cs', sp.cz_nazev, 'sk', sp.cz_nazev, NVL(sp.an_nazev, sp.cz_nazev)) AS nazev,
  DECODE(:lang, 'cs', cob.RV_MEANING, 'sk', cob.RV_MEANING, NVL(cob.ENGLISH, cob.RV_MEANING)) AS typ,
  DECODE(:lang, 'cs', cfo.RV_MEANING, 'sk', cfo.RV_MEANING, NVL(cfo.ENGLISH, cfo.RV_MEANING)) AS forma,
  sp.FAKULTA_SP as fk_fakulta

from
  Studijni_programy sp,
  cg_ref_codes cob,
  cg_ref_codes cfo

where
  (
    (
      translate(nls_upper(sp.CZ_NAZEV ,'NLS_SORT = XCzech'), 'ÁČĎÉĚÍÓŘŠŤŮÚÝŽŇ','ACDEEIORSTUUYZN') like  translate(nls_upper(NVL(:nazev,'%') ,'NLS_SORT = XCzech'), 'ÁČĎÉĚÍÓŘŠŤŮÚÝŽŇ*','ACDEEIORSTUUYZN%')
    )
    OR
    (
      translate(nls_upper(sp.AN_NAZEV ,'NLS_SORT = XCzech'), 'ÁČĎÉĚÍÓŘŠŤŮÚÝŽŇ','ACDEEIORSTUUYZN') like  translate(nls_upper(NVL(:nazev, '%') ,'NLS_SORT = XCzech'), 'ÁČĎÉĚÍÓŘŠŤŮÚÝŽŇ*','ACDEEIORSTUUYZN%')
    )
  )
  and
    ( :jen_platne = 1 or (nvl(sp.platny_od, '1970' ) <= nvl(:rok,TO_CHAR(ADD_MONTHS(SYSDATE,-10),'RRRR'))
    and  nvl(sp.neplatny_od, '2099') > nvl(:rok,TO_CHAR(ADD_MONTHS(SYSDATE,-10),'RRRR')))
    )
  and  cob.rv_domain = 'TYP_OBORU'
  and  sp.typ = cob.rv_low_value
  and  cfo.rv_domain = 'FORMA_OBORU_NEW'
  and  sp.forma = cfo.rv_low_value

order by
	DECODE(:lang, 'cs', sp.cz_nazev, 'sk', sp.cz_nazev, NVL(sp.an_nazev, sp.cz_nazev)),
  DECODE(:lang, 'cs', cob.RV_MEANING, 'sk', cob.RV_MEANING, NVL(cob.ENGLISH, cob.RV_MEANING)),
  DECODE(:lang, 'cs', cfo.RV_MEANING, 'sk', cfo.RV_MEANING, NVL(cfo.ENGLISH, cfo.RV_MEANING))