select
    bp.doporroc as rocnik,
    bp.doporsem as semestr,
    pv.prac_zkr,
    pv.zkr_predm,
    pv.rok_varianty,
    pv.crd as kredity,
    pv.cz_nazev,
    pv.an_nazev,
    pv.vicezapis,
    pv.vyuka_zs,
    pv.vyuka_ls,
    b.STATUT,
    b.BLOKIDNO,
    pv.poznamka,
    to_char(pv.jednotek_pr)||i.pom_hodnota||'+'||to_char(pv.jednotek_cv)||j.pom_hodnota||'+'||to_char(pv.jednotek_sem)||k.pom_hodnota rozsah,
    nvl2(z.OS_CISLO,1,0) zapsano,
    l.rv_abbreviation||decode(pv.predz_za, 'A', '+', '') typZk,
    pv.typ_zk,
    --fn_predmet_abs(:OS_CISLO,pv.prac_zkr,pv.ZKR_PREDM) as absolvoval,
    count(r.roakidno) pocet,
    sum(decode(r.typakce,'Cv',nvl(plan,9999)-r.obsazeni,0)) volnocv,
    sum(decode(substrb(r.typakce,0,1),'Př',1,0)) pocetpr,
    sum(decode(substrb(r.typakce,0,1),'Př',nvl(r.plan,9999)-r.obsazeni,0)) AS volnopr,
    sum(decode(r.typakce,'Cv',1,0)) pocetcv,
    sum(decode(r.typakce,'Se',nvl(r.plan,9999)-r.obsazeni,0)) volnose,
    sum(decode(r.typakce,'Se',1,0)) pocetse,
    kzs.amax zamax,
    kzs.bmax zbmax,
    kzs.cmax zcmax,
    kzs.askut zaskut,
    kzs.bskut zbskut,
    kzs.cskut zcskut,
    kls.amax lamax,
    kls.bmax lbmax,
    kls.cmax lcmax,
    kls.askut laskut,
    kls.bskut lbskut,
    kls.cskut lcskut
from
    rozvrh_akce r,
    bloky_predm bp,
    bloky b,
    pred_varianty pv,
    kapacita kzs,
    kapacita kls,
    znamky z,
    cg_ref_codes i,
    cg_ref_codes j,
    cg_ref_codes k,
    cg_ref_codes l,
    cg_ref_codes cg
where
    bp.blokidno = :blokidno
    and  bp.prac_zkr = pv.prac_zkr
    and  bp.zkr_predm = pv.zkr_predm
    and  bp.rok_varianty = pv.rok_varianty
    and  b.BLOKIDNO = bp.BLOKIDNO
    and  i.rv_domain = 'JEDNOTKA_VYUKY'
    and  pv.jednotka_pr = i.rv_low_value
    and  j.rv_domain = 'JEDNOTKA_VYUKY'
    and  pv.jednotka_cv = j.rv_low_value
    and  k.rv_domain = 'JEDNOTKA_VYUKY'
    and  pv.jednotka_sem = k.rv_low_value
    and  l.rv_domain = 'TYP_ZK_NEW'
    and  pv.typ_zk = l.rv_low_value
    and r.PRAC_ZKR(+) = pv.prac_zkr
    and r.ZKR_PREDM(+) = pv.zkr_predm
    /*        -- tuhle radku jsem pridal, explain tim snizil cost z 29->16 */
    and r.rok_varianty(+) = pv.rok_varianty
    and r.ROK_PLATNOSTI(+) = pv.rok_varianty
    and r.platnost(+) = 'A'
    and cg.RV_DOMAIN = 'TYP_ZK_NEW'
    and cg.RV_LOW_VALUE = pv.TYP_ZK
    and kzs.PRAC_ZKR (+)= pv.PRAC_ZKR
    and kzs.ZKR_PREDM (+)= pv.ZKR_PREDM
    and kzs.ROK_VARIANTY (+)= pv.ROK_VARIANTY
    and kzs.SEMESTR (+)= 'ZS'
    and kls.PRAC_ZKR (+)= pv.PRAC_ZKR
    and kls.ZKR_PREDM (+)= pv.ZKR_PREDM
    and kls.ROK_VARIANTY (+)= pv.ROK_VARIANTY
    and kls.SEMESTR (+)= 'LS'
    and z.PRAC_ZKR (+)= pv.prac_zkr
        and z.ZKR_PREDM (+)= pv.zkr_predm
        and z.ROK_PLATNOSTI (+) = pv.rok_varianty
        and z.ROK_VARIANTY (+)= pv.rok_varianty
        and z.OS_CISLO (+)  =  :os_cislo
group by
    bp.doporroc,
    bp.doporsem,
    pv.prac_zkr,
    pv.zkr_predm,
    pv.ROK_VARIANTY,
    pv.CZ_NAZEV,
    pv.AN_NAZEV,
    pv.VICEZAPIS,
    pv.vyuka_zs,
    pv.vyuka_ls,
    pv.crd,
    b.statut,
    b.BLOKIDNO,
    pv.poznamka,
    to_char(pv.jednotek_pr)||i.pom_hodnota||'+'||to_char(pv.jednotek_cv)||j.pom_hodnota||'+'||to_char(pv.jednotek_sem)||k.pom_hodnota,l.rv_abbreviation||decode(pv.predz_za, 'A', '+', ''),
    nvl2(z.OS_CISLO,1,0),
    l.rv_abbreviation||decode(pv.predz_za, 'A', '+', ''),
    pv.typ_zk,
    --fn_predmet_abs(:OS_CISLO,pv.prac_zkr,pv.ZKR_PREDM),
    kzs.amax,
    kzs.bmax,
    kzs.cmax,
    kzs.askut,
    kzs.bskut,
    kzs.cskut,
    kls.amax,
    kls.bmax,
    kls.cmax,
    kls.askut,
    kls.bskut,
    kls.cskut
order by bp.doporroc, bp.doporsem desc, pv.prac_zkr,pv.zkr_predm asc