select
	o.JMENO,
	o.PRIJMENI,
	s.OS_CISLO as pk_os_cislo,
	DECODE(:lang, 'cs', c1.RV_MEANING, 'sk', c1.RV_MEANING, NVL(c1.ENGLISH, c1.RV_MEANING)) as stav_studenta,
	DECODE(:lang, 'cs', c2.RV_ABBREVIATION, 'sk', c2.RV_ABBREVIATION, NVL(c2.english, c2.RV_ABBREVIATION)) AS titul_pred,
	DECODE(:lang, 'cs', c3.RV_ABBREVIATION, 'sk', c3.RV_ABBREVIATION, NVL(c3.english, c3.RV_ABBREVIATION)) AS titul_za,
	DECODE(o.TITUL_PRED, NULL, NULL, c2.RV_ABBREVIATION||' ')||o.JMENO||' '||o.PRIJMENI||DECODE(o.TITUL_ZA, NULL, NULL,', '||c3.RV_ABBREVIATION) as student

from
	osoby o,
	studenti s,
	cg_ref_codes c1,
	cg_ref_codes c2,
	cg_ref_codes c3

where
	o.OSOBIDNO = s.OSOBIDNO
	and c1.RV_DOMAIN = 'STAV_STUDENTA'
	and c1.RV_LOW_VALUE = s.STAV
	and c2.RV_DOMAIN(+) = 'TITUL_PRED'
	and c2.RV_LOW_VALUE(+) = o.TITUL_PRED
	and c3.RV_DOMAIN(+) = 'TITUL_ZA'
	and c3.RV_LOW_VALUE(+) = o.TITUL_ZA
	and  ( (translate(nls_upper(o.PRIJMENI ,'NLS_SORT = XCzech'), 'ÁČĎÉĚÍÓŘŠŤŮÚÝŽŇ','ACDEEIORSTUUYZN')
		like  translate(nls_upper(NVL(:prijmeni, '%') ,'NLS_SORT = XCzech'), 'ÁČĎÉĚÍÓŘŠŤŮÚÝŽŇ','ACDEEIORSTUUYZN')||'%'))
	and  ( (translate(nls_upper(o.JMENO ,'NLS_SORT = XCzech'), 'ÁČĎÉĚÍÓŘŠŤŮÚÝŽŇ','ACDEEIORSTUUYZN')
		like  translate(nls_upper(NVL(:jmeno, '%') ,'NLS_SORT = XCzech'), 'ÁČĎÉĚÍÓŘŠŤŮÚÝŽŇ','ACDEEIORSTUUYZN')||'%'))
	and s.STAV != 'N'

order by
	nlssort(o.PRIJMENI, 'NLS_SORT = XCzech'),
	nlssort(o.JMENO, 'NLS_SORT = XCzech'), s.OS_CISLO
