SELECT
  ra.PRAC_ZKR as fk_prac_zkr,
  ra.ZKR_PREDM as fk_zkr_predm,
  ra.rok_varianty as fk_rok_varianty,
  ra.rok_platnosti as rok_platnosti,
  ra.roakidno,
  ra.semestr,
  fn_meaning(ra.typakce,'TYP_AKCE') as typakce,
  ra.typakce as fk_typakce,
  ra.grupidno,
  ra.ma_nadrazenou,
  ra.je_nadrazena,
  substr(DECODE(:lang, 'cs', cg1.rv_meaning, 'sk', cg1.rv_meaning, NVL(cg1.english, cg1.rv_meaning)),1,2) AS den,
  --cg1.poradi as den_poradi,
  --ra.den as den_zkr,
  ra.tyden,
  ra.tyden_od,
  ra.tyden_do,
  ra.hod_od,
  ra.hod_do,
  ra.skut_hod_od,
  ra.skut_hod_do,
  ra.hod_vyuc_od,
  ra.hod_vyuc_do,
  nvl(ra.zkr_budovy,'')||'-'||nvl(ra.cislo_mist,'') as mistnost,
  ra.plan,
  ra.obsazeni,
  ra.kontakt,
  ra.poznamka,
  ra.platnost,
  nvl(fn_get_ucitel(ra.ucitidno),'-') UCITEL,
  (select min(kal.datum) from kalendar kal where kal.rok_platnosti = ra.rok_platnosti and kal.ROZVRH_DEN = ra.den and kal.typ_rozvrh_dne = ra.semestr and kal.cislo_tydne >= ra.tyden_od and kal.cislo_tydne <= ra.tyden_do and (ra.tyden in ('J','K') or ra.tyden = kal.typ_tydne)) as datum_od,
  (select max(kal.datum) from kalendar kal where kal.rok_platnosti = ra.rok_platnosti and kal.ROZVRH_DEN = ra.den and kal.typ_rozvrh_dne = ra.semestr and kal.cislo_tydne >= ra.tyden_od and kal.cislo_tydne <= ra.tyden_do and (ra.tyden in ('J','K') or ra.tyden = kal.typ_tydne)) as datum_do,
  ra.PLATNOST,
  fn_ma_zapis(:os_cislo, :rok_platnosti, ra.roakidno) AS ma_zapis,
  fn_ra_pristupna_zapsana(ra.roakidno,:os_cislo) pristupna,
  DECODE(:lang, 'cs', pv.CZ_NAZEV, 'sk', pv.CZ_NAZEV, NVL(pv.AN_NAZEV, pv.CZ_NAZEV)) AS nazev

FROM
  rozvrh_akce ra
  LEFT JOIN cg_ref_codes cg1
  ON (ra.den = cg1.rv_low_value AND cg1.rv_domain = 'DEN')
  LEFT JOIN ucitele uc
  ON (ra.ucitidno = uc.ucitidno)
  LEFT JOIN 	pred_varianty pv
  ON (pv.ZKR_PREDM = ra.ZKR_PREDM and pv.PRAC_ZKR = ra.PRAC_ZKR and pv.ROK_VARIANTY = ra.ROK_VARIANTY)
WHERE
  ra.prac_zkr = :prac_zkr
  AND ra.zkr_predm = :zkr_predm
  AND ra.rok_varianty = :rok_varianty
  AND ra.rok_platnosti = :rok_platnosti
  AND ra.SEMESTR != nvl(pg_cti_parametry.cti_retezec_oc('NEPOVOLIT_PREDZAPIS',:os_cislo), 'XX')
  AND (ra.platnost = 'A' OR ra.platnost='Z' or ((ra.platnost='B') and  (fn_ma_zapis(:os_cislo,ra.rok_platnosti,ra.roakidno)='A' )))
  AND (ra.plan is null or ra.plan > 0)
ORDER BY
	ra.semestr DESC,
	ra.typakce DESC,
	cg1.poradi,
	ra.hod_vyuc_od,
	ra.hod_vyuc_do,
	ra.tyden