-- SAF - cizi student prijizdejici k nam
-- základní data

SELECT decode(KAL.rok_platnosti,NULL,case when to_char(sysdate,'MM')<'09' then to_char(sysdate-365,'RRRR')||'/'||to_char(sysdate,'RRRR')
                                     else to_char(sysdate,'RRRR')||'/'||to_char(sysdate+365,'RRRR')
                                     end,
                                     KAL.rok_platnosti||'/'||to_char(to_number(KAL.rok_platnosti)+1)) as academic_year,
       (SELECT nvl(OB.an_nazev,OB.cisoboru) FROM studijni_plany PL, obory OB WHERE PL.stplidno = SPRI.stplidno AND PL.oboridno = OB.oboridno) as field_of_study,
       CSKOL.NAZEV_SKOLY as sending_institution,
       CSTAT.ENGLISH as sending_institution_country,
       CSKOL.MESTO_SKOLY  as sending_institution_adress,
       SPRI.FAKULTA_DOMOVSKA_SKOLA as sending_department,
       SPRI.CIZI_TELEFON as sending_tel,
       SPRI.CIZI_FAX as sending_fax,
       SPRI.CIZI_EMAIL as sending_email,
       SPRI.DC_CIZI as sending_DC,
       NULL as sending_DC_tel,
       NULL as sending_DC_fax,
       NULL as sending_DC_email,
       SPRI.IC_CIZI as sending_IC,
       NULL as sending_IC_tel,
       NULL as sending_IC_fax,
       NULL as sending_IC_email,
       OS.prijmeni as student_family_name,
       OS.JMENO as student_first_name,
       to_char(OS.DATUM_NAROZ,'DD.MM.RRRR') as student_birth_date,
       (SELECT fn_meaning_en(OS.POHLAVI,'POHLAVI') FROM dual) as student_sex,
       (SELECT CS.ENGLISH FROM cis_statu CS WHERE OS.statidno_obca = CS.STATIDNO) as student_nationality,
       (SELECT CS.ENGLISH FROM cis_statu CS WHERE OS.statidno_naro = CS.STATIDNO)||', '||OS.misto_nar as student_birth_place,
       (SELECT fn_adresa_prijizdejiciho(OS.stpoidno,'ULICE_CISLO','P') FROM dual) as student_current_ulice_cislo,
       (SELECT fn_adresa_prijizdejiciho(OS.stpoidno,'OBEC_CAST','P') FROM dual) as student_current_obec_cast,
       (SELECT fn_adresa_prijizdejiciho(OS.stpoidno,'PSC_POSTA','P') FROM dual) as student_current_psc_posta,
       (SELECT fn_adresa_prijizdejiciho(OS.stpoidno,'STAT_STITEK','P') FROM dual) as student_current_stat,
       (SELECT fn_adresa_prijizdejiciho(OS.stpoidno,'ULICE_CISLO','T') FROM dual) as student_permanent_ulice_cislo,
       (SELECT fn_adresa_prijizdejiciho(OS.stpoidno,'OBEC_CAST','T') FROM dual) as student_permanent_obec_cast,
       (SELECT fn_adresa_prijizdejiciho(OS.stpoidno,'PSC_POSTA','T') FROM dual) as student_permanent_psc_posta,
       (SELECT fn_adresa_prijizdejiciho(OS.stpoidno,'STAT_STITEK','T') FROM dual) as student_permanent_stat,
       OS.telefon as student_tel,
       OS.EMAIL  as student_email,
       NULL as why_you_wish_to_study_abroad,
       NULL as mother_tongue,
       NULL as language_institution,
       NULL as diploma_degree,
       NULL as number_years_study, -- pocet odstudovanych let pred prijezdem
       NULL as mobility_grant, -- chce grant
       CGORG.ENGLISH as receiving_institution,
       (SELECT pg_cti_parametry.cti_retezec('ADR_ULICE')||','||pg_cti_parametry.cti_retezec('ADR_CISLO')||','||(select co.NAZEV from cis_obci co where co.OBEC_IDNO = pg_cti_parametry.cti_retezec('ADR_OBEC'))||','||pg_cti_parametry.cti_retezec('ADR_PSC') FROM dual) as receiving_institution_adress,
       'Czech Republic' as receiving_institution_country,
       NULL as receiving_department,
       fn_get_ucitel(SPRI.UCITIDNO_DC_PODPIS,'PJ','N') as receiving_DC,
       fn_get_ucitel(SPRI.UCITIDNO_IC_PODPIS,'PJ','N') as receiving_IC,
       SPRI.ECTS_TELEFON as receiving_tel,
       SPRI.ECTS_FAX as receiving_fax,
       SPRI.ECTS_EMAIL as receiving_email,
       DC.TELEFON as receiving_DC_tel,
       NULL as receiving_DC_fax,
       DC.EMAIL as receiving_DC_email,
       IC.TELEFON as receiving_IC_tel,
       NULL as receiving_IC_fax,
       IC.EMAIL as receiving_IC_email,
       SPRI.DATUM_PRIJEZDU as period_of_study_from,
       SPRI.DATUM_ODJEZDU as period_of_study_to,
       round((SPRI.DATUM_ODJEZDU-SPRI.DATUM_PRIJEZDU+1)/30,0) as duration_of_stay_months,
       (SELECT sum(PV.crd) FROM STUDENTI_PRIJEZDY_PREDMETY JW, pred_varianty PV WHERE JW.STPSIDNO = SPRI.STPSIDNO AND PV.prac_zkr = JW.prac_zkr AND PV.zkr_predm = JW.zkr_predm AND PV.rok_varianty = JW.rok_varianty) as number_expected_ECTS_credits
  FROM STUDENTI_PRIJEZDY_OSOBY OS,
       STUDENTI_PRIJEZDY_STUDIA SPRI,
       cis_skol CSKOL,
       cis_statu CSTAT,
       cg_ref_codes CGORG,
       KALENDAR KAL,
       ucitele DC,
       ucitele IC
 WHERE OS.STPOIDNO = SPRI.STPOIDNO
   AND SPRI.SKOLAIDNO_DOMOVSKA_SKOLA = CSKOL.SKOLAIDNO
   AND CSKOL.STATIDNO = CSTAT.STATIDNO
   AND CGORG.RV_DOMAIN = 'ORGANIZACE'
   AND SPRI.DATUM_PRIJEZDU = KAL.DATUM(+)
   AND SPRI.UCITIDNO_DC_PODPIS = DC.UCITIDNO(+)
   AND SPRI.UCITIDNO_IC_PODPIS = IC.UCITIDNO(+)
   AND SPRI.STPSIDNO = :stpsidno