SELECT
    p.rocnik,
    p.semestr,
    pv.VYUKA_LS,
    pv.VYUKA_ZS,
    p.STATUT,
    p.PRAC_ZKR,
    p.ZKR_PREDM,
    p.absolvoval, -- kdyz existuje v ZNAMKY a je absolvovany, tak vratit priznak absolvovano
    p.studuje,-- kdyz existuje v ZNAMKY a je nyni studovany (dle aktualniho roku studia), tak vratit priznak studovano
    p.zapsano,-- kdyz existuje v ZNAMKY a je zapsan pro novy rok, tak vratit priznak zapsano
    p.vybrano,-- kdyz existuje v tabulce STUDENTEM_VYBRANE_PREDMETY, tak vratit priznak Vybrano
    p.BLOKIDNO,
    p.stplidno,
    pv.cz_nazev,
    pv.vicezapis,
    svp.svpridno,
    kzs.amax zamax,
    kzs.bmax zbmax,
    kzs.cmax zcmax,
    kzs.askut zaskut,
    kzs.bskut zbskut,
    kzs.cskut zcskut,
    kls.amax lamax,
    kls.bmax lbmax,
    kls.cmax lcmax,
    kls.askut laskut,
    kls.bskut lbskut,
    kls.cskut lcskut,
    count(roakidno) AS pocet,
    sum(decode(typakce,'Cv',nvl(plan,9999999999)-r.obsazeni,0)) AS volnocv,
    sum(decode(substrb(r.typakce,0,1),'Př',1,0)) AS pocetpr,
    sum(decode(substrb(r.typakce,0,1),'Př',nvl(r.plan,9999999999)-r.obsazeni,0)) AS volnopr,
    sum(decode(typakce,'Cv',1,0)) AS pocetcv,
    sum(decode(r.typakce,'Se',nvl(r.plan,9999999999)-r.obsazeni,0)) AS volnose,
    sum(decode(r.typakce,'Se',1,0)) AS pocetse

    FROM
(
SELECT nvl(to_char(BP.DOPORROC),'XX') as rocnik,
             nvl(BP.DOPORSEM,'YY') as semestr,
             BL.STATUT,
             BP.PRAC_ZKR,
             BP.ZKR_PREDM,
(
SELECT decode(count(*),0,'N','A')
    FROM znamky ZN,
             cg_ref_codes CG
 WHERE SNOR.os_cislo = ZN.os_cislo
     AND BP.prac_zkr = ZN.prac_zkr
     AND BP.zkr_predm = ZN.zkr_predm
     AND CG.rv_domain =
decode(ZN.hodnoceni_zk,'1','ZNAMKA','SLOVNI_HODNOCENI')
     AND CG.rv_low_value =
decode(ZN.hodnoceni_zk,'1',to_char(ZN.znamka),ZN.slovni_hodnoceni)
     AND decode(ZN.uznano,'A','A',decode(ZN.hodnoceni_zk,'1',CG.english,
decode(ZN.slovni_hodnoceni,NULL,NULL,'S','A','N'))) = 'A'
) absolvoval, -- kdyz existuje v ZNAMKY a je absolvovany, tak vratit priznak absolvovano
(
SELECT decode(count(*),0,'N','A')
    FROM znamky ZN
 WHERE SNOR.os_cislo = ZN.os_cislo
     AND BP.prac_zkr = ZN.prac_zkr
     AND BP.zkr_predm = ZN.zkr_predm
     AND ZN.rok_platnosti = :rok
     AND ZN.datum IS NULL
) studuje, -- kdyz existuje v ZNAMKY a je nyni studovany (dle aktualnihoroku studia), tak vratit priznak studovano
(
SELECT decode(count(*),0,'N','A')
    FROM znamky ZN
 WHERE SNOR.os_cislo = ZN.os_cislo
     AND BP.prac_zkr = ZN.prac_zkr
     AND BP.zkr_predm = ZN.zkr_predm
     AND ZN.rok_platnosti = :rok_zapisu
) zapsano, -- kdyz existuje v ZNAMKY a je zapsan pro novy rok, tak vratit priznak zapsano
(SELECT decode(count(*),0,'N','A')
    FROM studentem_vybrane_predmety svp
 WHERE SNOR.os_cislo = svp.os_cislo
     AND BP.prac_zkr = svp.prac_zkr
     AND BP.zkr_predm = svp.zkr_predm
     AND svp.rok_platnosti = :rok_zapisu
) vybrano,
             --'N' vybrano, -- kdyz existuje v tabulce STUDENTEM_VYBRANE_PREDMETY, tak vratit priznak Vybrano
             BL.BLOKIDNO,
             snor.stplidno
    FROM studenti_na_oboru_v_roce SNOR,
             studijni_plany PL,
             poradi_segmentu PS,
             segmenty_st_planu SPL,
             bloky BL,
             bloky_predm BP
 WHERE SNOR.os_cislo = :os_cislo
     AND SNOR.stplidno = PL.STPLIDNO
     AND PL.STPLIDNO = PS.STPLIDNO
     AND PS.SESPIDNO = SPL.SESPIDNO
     AND SPL.SESPIDNO = BL.SESPIDNO
     AND BL.BLOKIDNO = BP.BLOKIDNO
     AND SNOR.rok_platnosti = :rok_zapisu
UNION
-- ze znamek, ktere nejsou ve studijnim planu
SELECT to_char(SVR.standard_rok),
             ZN.semestr,
            'N' statut,
             ZN.prac_zkr,
             ZN.zkr_predm,
             decode(ZN.uznano,'A','A',decode(ZN.hodnoceni_zk,'1',CG.english,
decode(ZN.slovni_hodnoceni,NULL,NULL,'S','A','N','N'))) as absolvoval,
             decode(ZN.ROK_PLATNOSTI,:rok,decode(ZN.datum,NULL,'A','N'),'N')
as studuje,
             decode(ZN.ROK_PLATNOSTI,:rok_zapisu,'A','N') as zapsano,
             'N' vybrano,
             0 blokidno,
             snor.stplidno
    FROM znamky ZN,
             studenti_v_roce SVR,
             studenti_na_oboru_v_roce SNOR,
             cg_ref_codes CG
 WHERE SNOR.os_cislo = :os_cislo
     AND SNOR.os_cislo = ZN.os_cislo
     AND SNOR.rok_platnosti = ZN.rok_platnosti
     AND SNOR.os_cislo = SVR.os_cislo
     AND SNOR.rok_platnosti = SVR.rok_platnosti
     AND CG.rv_domain =
decode(ZN.hodnoceni_zk,'1','ZNAMKA','SLOVNI_HODNOCENI')
     AND CG.rv_low_value =
decode(ZN.hodnoceni_zk,'1',to_char(ZN.znamka),ZN.slovni_hodnoceni)
     AND not exists
(
SELECT BP.prac_zkr
    FROM studijni_plany PL,
             poradi_segmentu PS,
             segmenty_st_planu SPL,
             bloky BL,
             bloky_predm BP
 WHERE BP.prac_zkr = ZN.prac_zkr
     AND BP.zkr_predm = ZN.zkr_predm
     AND PL.stplidno = SNOR.stplidno
     AND PL.stplidno = PS.stplidno
     AND PS.sespidno = SPL.sespidno
     AND SPL.sespidno = BL.sespidno
     AND BL.blokidno = BP.blokidno
)
) p, pred_varianty pv, studentem_vybrane_predmety svp,kapacita kzs, kapacita kls, rozvrh_akce r
where
    pv.prac_zkr = p.prac_zkr
    and pv.zkr_predm = p.zkr_predm
    and pv.rok_varianty = :rok_zapisu
    and svp.prac_zkr(+)= pv.prac_zkr
    and svp.zkr_predm(+) = pv.zkr_predm
    and r.prac_zkr(+)=pv.prac_zkr
    and r.zkr_predm(+)=pv.zkr_predm
    and r.rok_varianty(+)=pv.rok_varianty
    and r.platnost(+)='A'
    and kzs.semestr(+)='ZS'
    and pv.zkr_predm=kzs.zkr_predm(+)
    and pv.prac_zkr=kzs.prac_zkr(+)
    and pv.rok_varianty=kzs.rok_varianty(+)
    and kls.semestr(+)='LS'
    and pv.zkr_predm=kls.zkr_predm(+)
    and pv.prac_zkr=kls.prac_zkr(+)
    and pv.rok_varianty=kls.rok_varianty(+)

group by
    p.rocnik,
    p.semestr,
    pv.VYUKA_LS,
    pv.VYUKA_ZS,
    p.STATUT,
    p.PRAC_ZKR,
    p.ZKR_PREDM,
    p.absolvoval,
    p.studuje,
    p.zapsano,
    p.vybrano,
    p.BLOKIDNO,
    p.stplidno,
    pv.cz_nazev,
    pv.vicezapis,
    svp.svpridno,
    kzs.amax,
    kzs.bmax,
    kzs.cmax,
    kzs.askut,
    kzs.bskut,
    kzs.cskut,
    kls.amax,
    kls.bmax,
    kls.cmax,
    kls.askut,
    kls.bskut,
    kls.cskut

 ORDER BY decode(rocnik,'XX','99',rocnik),
             decode(semestr,'ZS','1','LS','2','3'),
             STATUT,
             PRAC_ZKR,
             ZKR_PREDM,
             BLOKIDNO



