-- zakladni udaje o studiu
SELECT DISTINCT
       s.DATUM_STANOVENO_58_3,
       PS.STANDARDNI_DOBA,
       PS.DATUM_ZAPISU,
       PS.DATUM_UKONCENI,
       PS.TYP_UKONCENI,
       PS.JE_TO_DALSI_STUDIUM,
       PS.DUVOD_DALSI,
       PS.DATUM_DALSI_STUDIUM,
       (select zkr from cis_pracovist cp where cp.cislo_prac = ps.fakulta_cislo and nvl(cp.PLATNOST_DO,sysdate+1) >= sysdate) as fakulta,
       PS.DUVOD_DELSI,
       PU_58_3.HODNOTA_DATE as datum_58_3,
       PU_58_4.HODNOTA_DATE as datum_58_4,
       DATUM_POSLEDNI_PERIODA_58_4.HODNOTA_DATE as DATUM_POSLEDNI_PERIODA_58_4,
       DATUM_POSLEDNI_PERIODA_58_3.HODNOTA_DATE as DATUM_POSLEDNI_PERIODA_58_3,
       DATUM_NASLEDUJICI_PERIODY_58_4.HODNOTA_DATE as DATUM_NASLEDUJICI_PERIODY_58_4,
       DATUM_NASLEDUJICI_PERIODY_58_3.HODNOTA_DATE as DATUM_NASLEDUJICI_PERIODY_58_3,
       PLATBY_PERIODA_58_3.HODNOTA_NUM as PLATBY_PERIODA_58_3,
       PLATBY_PERIODA_58_4.HODNOTA_NUM as PLATBY_PERIODA_58_4,
       PU_CELK_DOBA_PLATBY.HODNOTA_NUM as celk_doba_platby_58_3,
       PU_CELK_DOBA_STUDIA.HODNOTA_NUM as celk_doba_studia,
       PU_PREKROCENI_SD_0_PRED_SD_1.HODNOTA_NUM as PU_PREKROCENI_SD_0_PRED_SD_1,
       PRED_DATUMEM_58_3.HODNOTA_NUM as odstudovano_pred_58_3,
       (select fn_vzorec_vyhodnot(s.os_cislo,'SIMS_EVIDOVAN') from dual) as sims_evidovan,
       ((select trunc(PU2.HODNOTA_DATE) from platby_ukazatele PU2 where PU2.OS_CISLO = PS.ZKOUMANE_STUDIUM AND PU2.TYP_UKAZATELE = 'DATUM_58_3')  - (select trunc(PU2.HODNOTA_DATE) from platby_ukazatele PU2 where PU2.OS_CISLO = PS.ZKOUMANE_STUDIUM AND PU2.TYP_UKAZATELE = 'DATUM_58_4')) as posun_druhe_periody,
       case /*when nvl(pg_cti_parametry.CTI_RETEZEC('PLATBY_SIMS_NEBO_ZAKON'),'SIMS') = 'SIMS' then 'Škola chce, aby systém vypočítával platbu za studium dle algoritmu SIMS pro určení, kdy MŠMT přestane škole poskytovat příspěvěk na studenta a pro tento případ systém neposkytuje přehled studií a výpočet platby za studium.'*/
            when nvl(PS.DATUM_UKONCENI,sysdate) < to_date('01.01.1999','DD.MM.RRRR') then 'Studium bylo ukončeno před nabytím platnosti zákona a proto se platba za studium nepočítá.'
            when PS.PROGRAM_TYP = '9' then 'Jedná se o doktorské studium a pro něj se platba za studium nepočítá.'
            when PS.PROGRAM_TYP = '6' then 'Jedná se o rigorózní studium a pro něj se platba za studium nepočítá.'
            when PS.FINANCOVANI in ('2','6','10') then 'Jedná se o studium nehrazené MŠMT a pro něj se platba za studium nepočítá.'
            when to_number(PS.FINANCOVANI) > 50 then 'Jedná se o studium nehrazené MŠMT a pro něj se platba za studium nepočítá.'
         end duvody_nepocitani
  FROM platby_studia PS,
       studenti s,
       platby_ukazatele PU_58_3,
       platby_ukazatele PU_58_4,
       platby_ukazatele PU_CELK_DOBA_PLATBY,
       platby_ukazatele PU_CELK_DOBA_STUDIA,
       platby_ukazatele PU_PREKROCENI_SD_0_PRED_SD_1,
       platby_ukazatele PRED_DATUMEM_58_3,
       platby_ukazatele DATUM_POSLEDNI_PERIODA_58_4,
       platby_ukazatele DATUM_POSLEDNI_PERIODA_58_3,
       platby_ukazatele DATUM_NASLEDUJICI_PERIODY_58_4,
       platby_ukazatele DATUM_NASLEDUJICI_PERIODY_58_3,
       platby_ukazatele PLATBY_PERIODA_58_3,
       platby_ukazatele PLATBY_PERIODA_58_4
 WHERE PS.ZKOUMANE_STUDIUM = :par_oscislo
   AND s.os_cislo = PS.ZKOUMANE_STUDIUM
   AND PS.JE_TO_ZKOUMANE_STUDIUM = 'A'
   AND PS.STAV = 'S'
   AND PS.ZKOUMANE_STUDIUM = PRED_DATUMEM_58_3.os_cislo(+)
   AND PRED_DATUMEM_58_3.TYP_UKAZATELE(+) = 'PRED_DATUMEM_58_3_ODSTUDOVANO_POCET_DNU'
   AND PS.ZKOUMANE_STUDIUM = PU_58_3.os_cislo(+)
   AND PU_58_3.TYP_UKAZATELE(+) = 'DATUM_58_3'
   AND PS.ZKOUMANE_STUDIUM = PU_58_4.os_cislo(+)
   AND PU_58_4.TYP_UKAZATELE(+) = 'DATUM_58_4'
   AND PS.ZKOUMANE_STUDIUM = PU_CELK_DOBA_PLATBY.os_cislo(+)
   AND PU_CELK_DOBA_PLATBY.TYP_UKAZATELE(+) = 'CELKOVA_DOBA_PLATBY_58_3'
   AND PS.ZKOUMANE_STUDIUM = PU_CELK_DOBA_STUDIA.os_cislo(+)
   AND PU_CELK_DOBA_STUDIA.TYP_UKAZATELE(+) = 'CELKOVA_ZAPOCTENA_DOBA_STUDIA'
   AND PS.ZKOUMANE_STUDIUM = PU_PREKROCENI_SD_0_PRED_SD_1.os_cislo(+)
   AND PU_PREKROCENI_SD_0_PRED_SD_1.TYP_UKAZATELE(+) = 'DOBA_PREKROCENI_SD_PLUS_0_PRED_SD_PLUS_1'
   AND PS.ZKOUMANE_STUDIUM = DATUM_POSLEDNI_PERIODA_58_4.os_cislo(+)
   AND DATUM_POSLEDNI_PERIODA_58_4.TYP_UKAZATELE(+) = 'DATUM_POSLEDNI_PERIODY_58_4'
   AND PS.ZKOUMANE_STUDIUM = DATUM_POSLEDNI_PERIODA_58_3.os_cislo(+)
   AND DATUM_POSLEDNI_PERIODA_58_3.TYP_UKAZATELE(+) = 'DATUM_POSLEDNI_PERIODY_58_3'
   AND PS.ZKOUMANE_STUDIUM = DATUM_NASLEDUJICI_PERIODY_58_4.os_cislo(+)
   AND DATUM_NASLEDUJICI_PERIODY_58_4.TYP_UKAZATELE(+) = 'DATUM_NASLEDUJICI_PERIODY_58_4'
   AND PS.ZKOUMANE_STUDIUM = DATUM_NASLEDUJICI_PERIODY_58_3.os_cislo(+)
   AND DATUM_NASLEDUJICI_PERIODY_58_3.TYP_UKAZATELE(+) = 'DATUM_NASLEDUJICI_PERIODY_58_3'
   AND PS.ZKOUMANE_STUDIUM = PLATBY_PERIODA_58_3.os_cislo(+)
   AND PLATBY_PERIODA_58_3.TYP_UKAZATELE(+) = 'PLATBY_PERIODA_58_3'
   AND PS.ZKOUMANE_STUDIUM = PLATBY_PERIODA_58_4.os_cislo(+)
   AND PLATBY_PERIODA_58_4.TYP_UKAZATELE(+) = 'PLATBY_PERIODA_58_4'