select distinct
  to_char(ps.SESPIDNO) as sespidno,
  to_number(nvl(o.cislo_a,0)) as cislo_a,
  ps.PORADI,
  sp.NAZEV,
  spl.LIMIT_CRD,
  (select fn_nazev_skupiny(ss.oridno,spl.stplidno,:lang1) from dual) as nazev_skupiny,
  DECODE(:lang, 'cs', cz_nazev_modulu, 'sk', cz_nazev_modulu, nvl(an_nazev_modulu,cz_nazev_modulu)) AS nazev_modulu,
  sp.ZKRATKA as zkratka,
  sp.ROK_PLATNOSTI,
  sp.min_crd_b_bloku,
  sp.min_pocet_abs_b_bloku,
  to_char(DECODE(ss.ORIDNO,null,'0','1')) as skupinovy_segment,
  ss.oridno,
  b.BLOKIDNO as blokidno,
    DECODE(:lang, 'cs', b.cz_nazev, 'sk', b.cz_nazev, nvl(b.an_nazev,b.cz_nazev)) AS nazev_bloku,
    b.STATUT,
    b.minkred as min_kred,
    b.max_kred,
    b.POZNAMKA,
    b.min_pocet_predmetu,
    spl.stplidno,
    DECODE(:lang, 'cs', nvl(spl.NAZEV,o.CZ_NAZEV), 'sk', nvl(spl.NAZEV,o.CZ_NAZEV), NVL(nvl(spl.AN_NAZEV,o.AN_NAZEV),nvl(spl.NAZEV,o.CZ_NAZEV))) AS nazev_planu

from
  obory o,
  studenti_na_oboru_v_roce snor,
  studijni_plany spl,
  poradi_segmentu ps,
  segmenty_st_planu sp,
  skupiny_segmentu ss,
  bloky b

where
  snor.OS_CISLO = :os_cislo
  and snor.STPLIDNO = spl.STPLIDNO
  and o.OBORIDNO = spl.OBORIDNO
  and spl.ROK_PLATNOSTI = :rok
  and ps.STPLIDNO = spl.STPLIDNO
  and ps.SESPIDNO = sp.SESPIDNO
  and ss.STPLIDNO(+) = ps.STPLIDNO
  and ss.SESPIDNO(+) = ps.SESPIDNO
  and b.SESPIDNO = sp.SESPIDNO
  --and bp.BLOKIDNO = b.BLOKIDNO
order by
to_number(nvl(o.cislo_a,0)) asc,spl.stplidno,ss.oridno, ps.PORADI, b.STATUT,DECODE(:lang, 'cs', b.cz_nazev, 'sk', b.cz_nazev, nvl(b.an_nazev,b.cz_nazev))