select
    z.PRAC_ZKR,
    z.ZKR_PREDM,
    pv.CZ_NAZEV,
    pv.AN_NAZEV,
    pv.VICEZAPIS,
    z.stplidno,
    z.ROK_PLATNOSTI,
    z.SEMESTR,
    svr.STANDARD_ROK as rocnik,
    z.POC_KRED as kredity,
    to_char(pv.jednotek_pr)||i.pom_hodnota||'+'||to_char(pv.jednotek_cv)||j.pom_hodnota||'+'||to_char(pv.jednotek_sem)||k.pom_hodnota rozsah,
    l.rv_abbreviation||decode(pv.predz_za, 'A', '+', '') typzk,
    to_char(DATUM,'DD.MM.RRRR') as datum,
    to_char(z.POKUS_CISLO) as pokus,
    decode(Z.HODNOCENI_ZK,'1',(select fn_meaning(z.znamka,'ZNAMKA') from dual),z.slovni_hodnoceni) as hodnoceni,
    z.uznano,
     case
     when ((Z.HODNOCENI_ZK='2' and z.slovni_hodnoceni='S') or (Z.HODNOCENI_ZK='1' and (select fn_meaning_en(z.znamka,'ZNAMKA') from dual)='A')) then
        'A'
     else
         'N'
      end as stav,
      z.TYP_ZK,
      'N' as jed

from
    znamky z,
    studenti_v_roce svr,
    pred_varianty pv,
     cg_ref_codes i,
    cg_ref_codes j,
    cg_ref_codes k,
    cg_ref_codes l
where
    z.OS_CISLO=:os_cislo
    and svr.OS_CISLO = z.OS_CISLO
    and svr.ROK_PLATNOSTI = z.rok_platnosti
    and pv.rok_varianty = z.ROK_VARIANTY
    and pv.ZKR_PREDM = z.ZKR_PREDM
    and pv.PRAC_ZKR = z.PRAC_ZKR
    and  i.rv_domain = 'JEDNOTKA_VYUKY'
    and  pv.jednotka_pr = i.rv_low_value
    and  j.rv_domain = 'JEDNOTKA_VYUKY'
    and  pv.jednotka_cv = j.rv_low_value
    and  k.rv_domain = 'JEDNOTKA_VYUKY'
    and  pv.jednotka_sem = k.rv_low_value
    and  l.rv_domain = 'TYP_ZK_NEW'
    and  pv.typ_zk = l.rv_low_value

union
select
JP.PRAC_ZKR,
nvl(JP.ZKR_PREDM,j.zkratka_predm) as zkr_predm,
J.ZKRATKA_PREDM||'##'|| J.CZ_NAZEV_PREDMETU as cz_nazev,
J.JINY_NAZEV_PREDMETU as an_nazev,
'N' as vicezapis,
j.stplidno,
J.ROK_PLATNOSTI,
J.SEMESTR,
sv.STANDARD_ROK as rocnik,
    j.POC_KRED as kredity,
    null as rozsah,
    null as typzk,
    to_char(DATUM,'DD.MM.RRRR') as datum,
    to_char(j.POKUS_CISLO) as pokus,
    decode(j.HODNOCENI_ZK,'1',(select fn_meaning(j.znamka,'ZNAMKA') from dual),j.slovni_hodnoceni) as hodnoceni,
    j.uznano,
     case
     when ((j.HODNOCENI_ZK='2' and j.slovni_hodnoceni='S') or (j.HODNOCENI_ZK='1' and (select fn_meaning_en(j.znamka,'ZNAMKA') from dual)='A')) then
        'A'
     else
         'N'
      end as stav,
      j.TYP_ZKOUSKY,
      'A' as jed

 from
 jedznamky j,
 jedznamky_predm jp,
 studenti_v_roce sv
where
    j.os_cislo = :os_cislo
    and sv.OS_CISLO = j.OS_CISLO
    and sv.ROK_PLATNOSTI = j.rok_platnosti
    and jp.stplidno(+)=j.stplidno
    and jp.skolaidno(+)=j.skolaidno
    and jp.rok_platnosti(+) =j.rok_platnosti
    and jp.zkratka_predm(+)=j.zkratka_predm
    and (j.uznano='A' or (j.HODNOCENI_ZK='2' and j.slovni_hodnoceni='S')
         or (j.HODNOCENI_ZK='1' and (select fn_meaning_en(j.znamka,'ZNAMKA') from dual)='A'))
order by DATUM desc