SELECT BP_OLD.PRAC_ZKR||'/'||BP_OLD.ZKR_PREDM as predmet,
       SNOR_OLD.ROK_PLATNOSTI||'/'||substr(to_char(to_number(SNOR_OLD.ROK_PLATNOSTI)+1),-2)||' - kreditů '||PV_OLD.CRD||' - statut '||BL_OLD.statut||' - '||BL_OLD.cz_nazev as soucasny_st_plan,
       to_char(to_number(SNOR_OLD.ROK_PLATNOSTI)+1)||'/'||substr(to_char(to_number(SNOR_OLD.ROK_PLATNOSTI)+2),-2)||' - ve studijním plánu pro příští rok se předmět nevyskytuje' as st_plan_pro_pristi_rok
  FROM studenti_na_oboru_v_roce SNOR_OLD,
       studijni_plany PL_OLD,
       poradi_segmentu PS_OLD,
       segmenty_st_planu SSPL_OLD,
       bloky BL_OLD,
       bloky_predm BP_OLD,
       pred_varianty PV_OLD
 WHERE SNOR_OLD.OS_CISLO = :PAR_OS_CISLO
   AND SNOR_OLD.ROK_PLATNOSTI = :PAR_ROK_PLATNOSTI_OLD
   AND SNOR_OLD.STPLIDNO = PL_OLD.STPLIDNO
   AND PL_OLD.STPLIDNO = PS_OLD.STPLIDNO
   AND PS_OLD.SESPIDNO = SSPL_OLD.SESPIDNO
   AND SSPL_OLD.SESPIDNO = BL_OLD.SESPIDNO
   AND BL_OLD.BLOKIDNO = BP_OLD.BLOKIDNO
   AND BP_OLD.PRAC_ZKR = PV_OLD.PRAC_ZKR
   AND BP_OLD.ZKR_PREDM = PV_OLD.ZKR_PREDM
   AND BP_OLD.ROK_VARIANTY = PV_OLD.ROK_VARIANTY
   AND not exists
(
SELECT 'a'
  FROM studenti_na_oboru_v_roce SNOR_NEW,
       studijni_plany PL_NEW,
       poradi_segmentu PS_NEW,
       segmenty_st_planu SSPL_NEW,
       bloky BL_NEW,
       bloky_predm BP_NEW
 WHERE SNOR_NEW.OS_CISLO = SNOR_OLD.OS_CISLO
   AND SNOR_NEW.ROK_PLATNOSTI = to_char(to_number(SNOR_OLD.ROK_PLATNOSTI) + 1)
   AND SNOR_NEW.STPLIDNO = PL_NEW.STPLIDNO
   AND PL_NEW.STPLIDNO = PS_NEW.STPLIDNO
   AND PS_NEW.SESPIDNO = SSPL_NEW.SESPIDNO
   AND SSPL_NEW.SESPIDNO = BL_NEW.SESPIDNO
   AND BL_NEW.BLOKIDNO = BP_NEW.BLOKIDNO
   AND BP_NEW.PRAC_ZKR = BP_OLD.PRAC_ZKR
   AND BP_NEW.ZKR_PREDM = BP_OLD.ZKR_PREDM
)
UNION
-- predmet neni v OLD a je v NEW
SELECT BP_NEW.PRAC_ZKR||'/'||BP_NEW.ZKR_PREDM as predmet,
       to_char(to_number(SNOR_NEW.ROK_PLATNOSTI)-1)||'/'||substr(to_char(to_number(SNOR_NEW.ROK_PLATNOSTI)+0),-2)||' - v současném studijním plánu se předmět nevyskytuje' as soucasny_st_plan,
       SNOR_NEW.ROK_PLATNOSTI||'/'||substr(to_char(to_number(SNOR_NEW.ROK_PLATNOSTI)+1),-2)||' - kreditů '||PV_NEW.CRD||' - statut '||BL_NEW.statut||' - '||BL_NEW.cz_nazev as st_plan_pro_pristi_rok
  FROM studenti_na_oboru_v_roce SNOR_NEW,
       studijni_plany PL_NEW,
       poradi_segmentu PS_NEW,
       segmenty_st_planu SSPL_NEW,
       bloky BL_NEW,
       bloky_predm BP_NEW,
       pred_varianty PV_NEW
 WHERE SNOR_NEW.OS_CISLO = :PAR_OS_CISLO
   AND SNOR_NEW.ROK_PLATNOSTI = to_char(to_number(:PAR_ROK_PLATNOSTI_OLD) + 1)
   AND SNOR_NEW.STPLIDNO = PL_NEW.STPLIDNO
   AND PL_NEW.STPLIDNO = PS_NEW.STPLIDNO
   AND PS_NEW.SESPIDNO = SSPL_NEW.SESPIDNO
   AND SSPL_NEW.SESPIDNO = BL_NEW.SESPIDNO
   AND BL_NEW.BLOKIDNO = BP_NEW.BLOKIDNO
   AND BP_NEW.PRAC_ZKR = PV_NEW.PRAC_ZKR
   AND BP_NEW.ZKR_PREDM = PV_NEW.ZKR_PREDM
   AND BP_NEW.ROK_VARIANTY = PV_NEW.ROK_VARIANTY
   AND not exists
(
SELECT 'a'
  FROM studenti_na_oboru_v_roce SNOR_OLD,
       studijni_plany PL_OLD,
       poradi_segmentu PS_OLD,
       segmenty_st_planu SSPL_OLD,
       bloky BL_OLD,
       bloky_predm BP_OLD
 WHERE SNOR_OLD.OS_CISLO = SNOR_NEW.OS_CISLO
   AND SNOR_OLD.ROK_PLATNOSTI = to_char(to_number(SNOR_NEW.ROK_PLATNOSTI) - 1)
   AND SNOR_OLD.STPLIDNO = PL_OLD.STPLIDNO
   AND PL_OLD.STPLIDNO = PS_OLD.STPLIDNO
   AND PS_OLD.SESPIDNO = SSPL_OLD.SESPIDNO
   AND SSPL_OLD.SESPIDNO = BL_OLD.SESPIDNO
   AND BL_OLD.BLOKIDNO = BP_OLD.BLOKIDNO
   AND BP_OLD.PRAC_ZKR = BP_NEW.PRAC_ZKR
   AND BP_OLD.ZKR_PREDM = BP_NEW.ZKR_PREDM
)
UNION
-- predmet je v OLD a v NEW je v jinem bloku (dle statutu a názvu bloku)
SELECT BP_OLD.PRAC_ZKR||'/'||BP_OLD.ZKR_PREDM as predmet,
       SNOR_OLD.ROK_PLATNOSTI||'/'||substr(to_char(to_number(SNOR_OLD.ROK_PLATNOSTI)+1),-2)||' - kreditů '||PV_OLD.CRD||' - statut '||BL_OLD.statut||' - '||BL_OLD.cz_nazev as soucasny_st_plan,
       SNOR_NEW.ROK_PLATNOSTI||'/'||substr(to_char(to_number(SNOR_NEW.ROK_PLATNOSTI)+1),-2)||' - kreditů '||PV_NEW.CRD||' - statut '||BL_NEW.statut||' - '||BL_NEW.cz_nazev as st_plan_pro_pristi_rok
  FROM studenti_na_oboru_v_roce SNOR_OLD,
       studijni_plany PL_OLD,
       poradi_segmentu PS_OLD,
       segmenty_st_planu SSPL_OLD,
       bloky BL_OLD,
       bloky_predm BP_OLD,
       pred_varianty PV_OLD,
       studenti_na_oboru_v_roce SNOR_NEW,
       studijni_plany PL_NEW,
       poradi_segmentu PS_NEW,
       segmenty_st_planu SSPL_NEW,
       bloky BL_NEW,
       bloky_predm BP_NEW,
       pred_varianty PV_NEW
 WHERE SNOR_OLD.OS_CISLO = :PAR_OS_CISLO
   AND SNOR_OLD.ROK_PLATNOSTI = :PAR_ROK_PLATNOSTI_OLD
   AND SNOR_NEW.OS_CISLO = SNOR_OLD.OS_CISLO
   AND SNOR_NEW.ROK_PLATNOSTI = to_char(to_number(SNOR_OLD.ROK_PLATNOSTI) + 1)
   AND SNOR_OLD.STPLIDNO = PL_OLD.STPLIDNO
   AND PL_OLD.STPLIDNO = PS_OLD.STPLIDNO
   AND PS_OLD.SESPIDNO = SSPL_OLD.SESPIDNO
   AND SSPL_OLD.SESPIDNO = BL_OLD.SESPIDNO
   AND BL_OLD.BLOKIDNO = BP_OLD.BLOKIDNO
   AND SNOR_NEW.STPLIDNO = PL_NEW.STPLIDNO
   AND PL_NEW.STPLIDNO = PS_NEW.STPLIDNO
   AND PS_NEW.SESPIDNO = SSPL_NEW.SESPIDNO
   AND SSPL_NEW.SESPIDNO = BL_NEW.SESPIDNO
   AND BL_NEW.BLOKIDNO = BP_NEW.BLOKIDNO
   AND BP_NEW.PRAC_ZKR = BP_OLD.PRAC_ZKR
   AND BP_NEW.ZKR_PREDM = BP_OLD.ZKR_PREDM
   AND BP_OLD.PRAC_ZKR = PV_OLD.PRAC_ZKR
   AND BP_OLD.ZKR_PREDM = PV_OLD.ZKR_PREDM
   AND BP_OLD.ROK_VARIANTY = PV_OLD.ROK_VARIANTY
   AND BP_NEW.PRAC_ZKR = PV_NEW.PRAC_ZKR
   AND BP_NEW.ZKR_PREDM = PV_NEW.ZKR_PREDM
   AND BP_NEW.ROK_VARIANTY = PV_NEW.ROK_VARIANTY
   AND (BL_NEW.cz_nazev <> BL_OLD.cz_nazev
       OR BL_NEW.statut <> BL_OLD.statut)
 ORDER BY 1