SELECT
    Z.semestr znamka_semestr,
    T.prac_zkr||'/'||T.zkr_predm cela_zkr,
    T.zkr_budovy||T.cislo_mist mistnost,
    T.platnost,
    Z.zkr_predm,
    Z.prac_zkr,
    Z.rok_varianty,
    Z.rok_platnosti,
    Z.datum hodnoceni_datum,
    Z.hodnoceni_zk,
    Z.pokus_cislo hodnoceni_pokus,
    z.zapocet_slovni_hodnoceni,
    z.zapocet_pokus,
    z.zapocet_datum,
    T.datum,
    T.hod_od,
    T.hod_do,
    to_char(t.hod_od,'HH24:MI') as hod_skut_od,
    to_char(t.hod_do,'HH24:MI') as hod_skut_do,
    --(SELECT fn_get_ucitel(T.ucitidno) FROM dual ) vyucujici,
    (select fn_get_ucitel(t.ucitidno,'PJ','N') from dual) as ucitelBezT,
    u.prijmeni vyucujici_prijmeni,
    u.email vyucujici_email,
    u.telefon vyucujici_telefon,
    trim(T.poznamka) poznamka,
    t.limit_terminu as limit,
    t.obsazeni_terminu as obsazeni,
    T.zkr_budovy,
    T.cislo_mist,
    T.termidno,
    T.grteidno,
    G.nateidno,
    G.grupa_plan,
    G.grupa_obsazeni,
    N.celk_plan,
    N.celk_obsazeni,
    Decode(:lang,'cs',P.cz_nazev,'sk',P.cz_nazev,Nvl(P.an_nazev,P.cz_nazev)) nazev,
    p.predz_za,
    Decode(:lang,'cs',(SELECT fn_meaning2(T.typ_terminu,'TYP_TERMINU') FROM dual),'sk',(SELECT fn_meaning2(T.typ_terminu,'TYP_TERMINU') FROM dual),'en',Nvl((SELECT fn_meaning_en(T.typ_terminu,'TYP_TERMINU') FROM dual),(SELECT fn_meaning2(T.typ_terminu,'TYP_TERMINU') FROM dual))) typ_terminu_popis,
    T.typ_terminu,
    (SELECT fn_meaning3(T.typ_terminu,'TYP_TERMINU') FROM dual) as skupina_typu_terminu,
    T.blok_datum,
    T.blok_datum_prihlaseni,
    T.datum_start,
    T.rok_platnosti,
    T.opravny_termin as opravny_termin,
    decode(:lang,'cs',fn_meaning2(t.opravny_termin,'TERMINY_KDO'),'sk',fn_meaning2(t.opravny_termin,'TERMINY_KDO'),nvl(fn_meaning_en(t.opravny_termin,'TERMINY_KDO'),fn_meaning2(t.opravny_termin,'TERMINY_KDO'))) as TERMIN_KDO_SLOVNE,
    DECODE( ( SELECT fn_zive_datum(NVL(T.blok_datum, T.datum), NVL(T.blok_datum, T.hod_od)) FROM dual), 1, 'A', 'N') odhlasovani_zive,
    DECODE( ( SELECT fn_zive_datum(NVL(T.blok_datum_prihlaseni, T.datum), NVL(T.blok_datum_prihlaseni, T.hod_od)) FROM dual), 1, 'A', 'N') prihlasovani_zive,
    (select FN_MEANING(nvl(t.semestr,'ZL'),'SEMESTR_OBA') from dual) as  termin_semestr,
    Nvl((SELECT 'A' FROM dual where (T.limit_terminu=T.obsazeni_terminu) OR (G.grupa_obsazeni=G.grupa_plan) OR (N.celk_obsazeni=N.celk_plan)),'N') obsazeno
FROM
    terminy T,
    grupy_terminu G,
    nadgrupy_terminu N,
    znamky Z,
    pred_varianty P,
    ucitele u,
    studenti_na_zkouskach SNZK

WHERE
    ( t.semestr = z.semestr OR t.semestr IS NULL OR t.semestr = 'ZL')
     AND T.platnost IN ('A','N')
     AND T.grteidno = G.grteidno(+)
     AND G.nateidno = N.nateidno(+)
     AND ( SELECT fn_zive_datum(T.datum, T.hod_od) FROM dual) = 1
     AND Z.os_cislo = :os_cislo
     --AND Z.rok_platnosti = (select FN_GET_ROK_PRO_ZAPIS_ZKOUSEK(Z.prac_zkr) from dual)
     AND T.rok_platnosti = Z.rok_platnosti
     AND T.zkr_predm = Z.zkr_predm
     AND T.prac_zkr = Z.prac_zkr
     AND Z.rok_varianty=z.rok_platnosti
     AND P.prac_zkr = Z.prac_zkr
     AND P.zkr_predm = Z.zkr_predm
     AND P.rok_varianty = Z.rok_varianty
     AND u.ucitidno = t.ucitidno
     AND T.termidno = SNZK.termidno
     AND SNZK.OS_CISLO = Z.os_cislo
     AND Z.semestr = SNZK.semestr
ORDER BY
    Z.semestr DESC,
    Z.prac_zkr,
    Z.zkr_predm,
    Z.rok_varianty,
    T.datum,
    T.hod_od