select
	u.prijmeni,
	u.jmeno,
	u.ucitidno as pk_ucitidno,
	u.prac_zkr as prac_zkr ,
	u.telefon as telefon ,
	u.email as email,
	u.url,
	DECODE(u.TITUL_PRED, NULL, NULL, c1.RV_ABBREVIATION||' ')||u.JMENO||' '||u.PRIJMENI||DECODE(u.TITUL_ZA, NULL, NULL,', '||c2.RV_ABBREVIATION) as ucitel,
	DECODE(:lang, 'cs', c1.RV_ABBREVIATION, 'sk', c1.RV_ABBREVIATION, NVL(c1.english, c1.RV_ABBREVIATION)) AS titul_pred,
	DECODE(:lang, 'cs', c2.RV_ABBREVIATION, 'sk', c2.RV_ABBREVIATION, NVL(c2.english, c2.RV_ABBREVIATION)) AS titul_za

from
	ucitele u,
	cg_ref_codes c1,
	cg_ref_codes c2

where
	c1.rv_domain(+) = 'TITUL_PRED'
	and  u.titul_pred = c1.rv_low_value(+)
	and  c2.rv_domain(+) = 'TITUL_ZA'
	and  u.titul_za = c2.rv_low_value(+)
	and  (translate(nls_upper(u.prijmeni ,'NLS_SORT = XCzech'), 'ÁČĎÉĚÍÓŘŠŤŮÚÝŽŇ','ACDEEIORSTUUYZN') like  translate(nls_upper(NVL(:prijmeni, '%') ,'NLS_SORT = XCzech'), 'ÁČĎÉĚÍÓŘŠŤŮÚÝŽŇ*','ACDEEIORSTUUYZN%')||'%')
	and  (translate(nls_upper(u.jmeno ,'NLS_SORT = XCzech'), 'ÁČĎÉĚÍÓŘŠŤŮÚÝŽŇ','ACDEEIORSTUUYZN') like  translate(nls_upper(NVL(:jmeno, '%') ,'NLS_SORT = XCzech'), 'ÁČĎÉĚÍÓŘŠŤŮÚÝŽŇ*','ACDEEIORSTUUYZN%')||'%')
	
order  by
	nlssort(u.prijmeni, 'NLS_SORT = XCzech'),
	nlssort(u.JMENO, 'NLS_SORT = XCzech'),
	u.UCITIDNO