SELECT
  u.JMENO,
  u.PRIJMENI,
  u.TELEFON,
  u.TELEFON2,
  u.EMAIL,
  u.URL,
  u.PRAC_ZKR,
  u.pracoviste_jine,
  u.platnost,
  DECODE(u.TITUL_PRED, NULL, NULL, c1.RV_ABBREVIATION||' ')||u.JMENO||' '||u.PRIJMENI||DECODE(u.TITUL_ZA, NULL, NULL,', '||c2.RV_ABBREVIATION) as ucitel,
  substr(u.PRIJMENI||' '||u.JMENO||' '||DECODE(u.TITUL_PRED, NULL, NULL, c1.RV_ABBREVIATION||' ')||DECODE(u.TITUL_ZA, NULL, NULL,', '||c2.RV_ABBREVIATION)||' '||u.prac_zkr||' '||u.pracoviste_jine,1,60) as ucitel2,
  DECODE(:lang, 'cs', c1.RV_ABBREVIATION, 'sk', c1.RV_ABBREVIATION, NVL(c1.english, c1.RV_ABBREVIATION)) AS titul_pred,
  DECODE(:lang, 'cs', c2.RV_ABBREVIATION, 'sk', c2.RV_ABBREVIATION, NVL(c2.english, c2.RV_ABBREVIATION)) AS titul_za,
  DECODE(:lang, 'cs', p1.nazev, 'sk', p2.nazev, NVL(p1.an_nazev, p1.nazev)) as pracoviste,
  DECODE(p2.TYP_PRAC, 'F', p2.ZKR, '') AS fak_zkr,
  DECODE(p2.TYP_PRAC, 'F', DECODE(:lang, 'cs', p2.nazev, 'sk', p2.nazev, NVL(p2.an_nazev, p2.nazev)), '') AS fakulta

FROM
  ucitele u,
  cg_ref_codes c1,
  cg_ref_codes c2,
  CIS_PRACOVIST p1,
  cis_pracovist p2,
  cg_ref_codes c4

WHERE
  u.UCITIDNO = :ucitidno
  AND c1.RV_DOMAIN(+) = 'TITUL_PRED'
  AND c1.RV_LOW_VALUE(+) = u.TITUL_PRED
  AND c2.RV_DOMAIN(+) = 'TITUL_ZA'
  AND c2.RV_LOW_VALUE(+) = u.TITUL_ZA
  AND p1.ZKR(+) = u.PRAC_ZKR
  AND p2.ZKR(+) = p1.NAD_PRAC_ZKR
  AND c4.RV_DOMAIN(+) = 'FAKULTA'
  AND c4.RV_LOW_VALUE(+) = p2.ZKR