select
    t.prac_zkr||'/'||t.zkr_predm as predm,
    t.limit_terminu as limit,
    t.obsazeni_terminu as obsazeni,
    t.datum,
    t.datum_start as datum_start,
    t.blok_datum_prihlaseni as blok_datum_prihlaseni,
    t.hod_od as hod_skut_od,
    t.hod_do as hod_skut_do,
    t.blok_datum,
    t.ucitidno as ucitidno,
    DECODE(:lang, 'cs', p.cz_nazev, 'sk', p.cz_nazev, NVL(p.an_nazev, p.cz_nazev)) AS nazev,
    DECODE(:lang,'cs',c3.RV_MEANING,'sk',c3.RV_MEANING,NVL(c3.ENGLISH,c3.RV_MEANING)) as typ_terminu,
    t.zkr_budovy||t.cislo_mist AS mistnost,
    t.termidno AS pk_termidno,
    t.rok_platnosti as fk_rok_platnosti,
    t.prac_zkr as fk_prac_zkr,
    t.zkr_predm as fk_zkr_predm,
    t.zkr_budovy as fk_zkr_budovy,
    t.cislo_mist as fk_cislo_mist,
    t.semestr as semestr,
    t.platnost as platnost,
    TO_CHAR(t.hod_od, 'HH24:MI:SS') as hod_skut_od_time,
    TO_CHAR(t.hod_do, 'HH24:MI:SS') as hod_skut_do_time,
    t.obsazeni_terminu as obsazeni_terminu,
    t.limit_terminu as limit_terminu,
    t.poznamka as poznamka,
    t.opravny_termin as opravny_termin
from
    terminy t,
    pred_varianty p,
    cg_ref_codes c3
where
    t.UCITIDNO = :ucitidno
    AND t.prac_zkr like  RTRIM(LTRIM(TRANSLATE(UPPER(nvl(:pracoviste, '%')), '*', '%'),' '),' ')
    AND t.ZKR_PREDM like  RTRIM(LTRIM(TRANSLATE(UPPER(nvl(:predmet, '%')), '*', '%'),' '),' ')
    AND (t.semestr LIKE RTRIM(LTRIM(TRANSLATE(UPPER(nvl(:semestr, '%')), '*', '%'),' '),' ') OR t.semestr IS NULL)
    and c3.RV_DOMAIN = 'TYP_TERMINU'
    and c3.RV_LOW_VALUE = t.TYP_TERMINU
    and  t.platnost  = 'A'
    and  ((trunc(t.datum) > trunc(sysdate)) or ((trunc(t.datum) = trunc(sysdate)))
@IF(0) AND (to_char(t.hod_od,'HH24:MI') >  '0:00'))
@IFNOT(0) AND (to_char(t.hod_od,'HH24:MI') >  (to_char(sysdate ,'HH24:MI'))))
    and p.ZKR_PREDM = t.ZKR_PREDM
    and p.PRAC_ZKR = t.PRAC_ZKR
    and p.ROK_VARIANTY = t.ROK_PLATNOSTI
order by
    t.datum,
    t.hod_od