SELECT distinct
    -- Tato cast selectu vraci STUDENTSKE identity studenta
    0 priorita_razeni,
    st.os_cislo stag_user_name,
    nvl(fn_account_exist(st.os_cislo),'N') as account_exists,
    nvl(fn_account_locked(st.os_cislo),'N') as account_locked,
    'ST' id_role, (select fn_meaning2('ST','ROLE') from dual) role_nazev_cs, (select fn_meaning_en('ST','ROLE') from dual) role_nazev_en,
    'N' eva_role, 'N' eva_zastupujici,
    sp.fakulta_sp fakulta, null katedra, null ucitidno,
    os.jmeno jmeno, os.prijmeni,
    (select fn_meaning(os.TITUL_PRED,'TITUL_PRED') from dual) titul_pred, (select fn_meaning(os.TITUL_ZA,'TITUL_ZA') from dual) titul_za,
    os.rod_cislo rod_cislo, FN_EMAIL_STUDENTA(st.os_cislo) email, os.telefon telefon,
    cp_fakulta.nazev fakulta_nazev_cs, cp_fakulta.an_nazev fakulta_nazev_en,
    null katedra_nazev_cs, null katedra_nazev_en,
    st.os_cislo os_cislo,
    st.vykazovan vykazovan,
    st.stpridno program_stpridno, sp.cz_nazev program_nazev_cs, sp.an_nazev program_nazev_en,
    sp.forma sp_forma, (select fn_meaning2(sp.forma,'FORMA_OBORU_NEW') from dual) sp_forma_nazev_cs, (select fn_meaning_en(sp.forma,'FORMA_OBORU_NEW') from dual) sp_forma_nazev_en,
    sp.typ sp_typ, (select fn_meaning2(sp.typ,'TYP_OBORU') from dual) sp_typ_nazev_cs, (select fn_meaning_en(sp.typ,'TYP_OBORU') from dual) sp_typ_nazev_en,
    fn_vsechny_obko(st.os_cislo, fn_rok(st.os_cislo),'A') as oborkomb,
    FN_STUDENTOVO_OBKO(st.os_cislo,fn_rok(st.os_cislo),'N','CZ') as oborkomb_nazev_cs,
    FN_STUDENTOVO_OBKO(st.os_cislo,fn_rok(st.os_cislo),'N','EN') as oborkomb_nazev_en,
    sp.CELOZIVOTNI_VZDELAVANI celozivotni, sp.stand_delka stand_delka,
    (select max(svor.standard_rok) from STUDENTI_V_ROCE svor where svor.OS_CISLO = st.os_cislo ) as rocnik,
    PR.PREDZAPIS_OD predz_normal_od, PR.PREDZAPIS_DO predz_normal_do,
    PR.vyber_od predz_vyber_od, PR.vyber_do predz_vyber_do,
    PR.KPREDZAPIS_OD predz_krouzkovy_od, PR.KPREDZAPIS_DO predz_krouzkovy_do,
    pr.zmena_od burza_zmena_od, pr.zmena_do burza_zmena_do,
    pr.prohozeni_od burza_prohozeni_od, pr.prohozeni_do burza_prohozeni_do,
    (select pg_cti_parametry.cti_retezec_oc('NEPOVOLIT_PREDZAPIS',ST.os_cislo) from dual) predz_nepovoleny_semestr,
    ab.cas_sz as cas_szz,
    ab.DAT_VYSTAVENI as datum_szz,
    ab.DAT_PROMOCE
FROM
    STUDENTI ST,
    STUDIJNI_PROGRAMY SP,
    ( -- takhle je to kvuli Ostrave, Budejovicim (a mozna dalsim), kteri nemaji username v tab. ORION unikatni, musi tam byt IN
      select distinct os.osobidno, os.rod_cislo, os.jmeno, os.prijmeni, os.titul_pred, os.titul_za, os.telefon from osoby os
      where
        os.rod_cislo in (SELECT o.rod_cislo FROM orion o WHERE lower(o.username) = LOWER(:loginName))
      union all
      select os.osobidno, os.rod_cislo, os.jmeno, os.prijmeni, os.titul_pred, os.titul_za, os.telefon from osoby os
      where
        os.osobidno = ( SELECT osobidno FROM studenti st WHERE st.os_cislo = upper(:loginName))
    ) os,
    cis_pracovist cp_fakulta,
    PREDZAPISY PR,
    STUDENTI_V_ROCE SVR,
    abn_absolventi ab
WHERE
    cp_fakulta.zkr = sp.fakulta_sp
    AND ST.os_cislo = SVR.os_cislo(+)
    AND PR.skupina_predz(+) = SVR.skupina_predz
    AND SVR.rok_platnosti(+) = fn_rok_predzapisu
    AND st.stav in ('S', 'P')
    AND SP.stpridno = ST.stpridno
    AND os.osobidno = st.osobidno
    AND ST.os_cislo = ab.os_cislo(+)
UNION ALL
SELECT distinct
    -- Tato cast selectu vraci UCITELSKE a EVALUACNI identity
    ids.*,
    u.jmeno jmeno, u.prijmeni,
    (select fn_meaning(u.TITUL_PRED,'TITUL_PRED') from dual) titul_pred, (select fn_meaning(u.TITUL_ZA,'TITUL_ZA') from dual) titul_za,
    u.rod_cislo rod_cislo, u.email email, u.telefon telefon,
    cp_fakulta.nazev fakulta_nazev_cs, cp_fakulta.an_nazev fakulta_nazev_en,
    cp_katedra.nazev katedra_nazev_cs, cp_katedra.an_nazev katedra_nazev_en,
    null os_cislo, null vykazovan,
    null program_stpridno, null program_nazev_cs, null program_nazev_en,
    null sp_forma, null sp_forma_nazev_cs, null sp_forma_nazev_en,
    null sp_typ, null sp_typ_nazev_cs, null sp_typ_nazev_en,
    null oborkomb,null oborkomb_nazev_cs, null oborkomb_nazev_en,
    null celozivotni, null stand_delka, null rocnik,
    null predz_normal_od, null predz_normal_do,
    null predz_vyber_od, null predz_vyber_do,
    null predz_krouzkovy_od, null predz_krouzkovy_do,
    null burza_zmena_od, null burza_zmena_do,
    null burza_prohozeni_od, null burza_prohozeni_do,
    null predz_nepovoleny_semestr,
    null cas_szz,
    null datum_szz,
    null DAT_PROMOCE
FROM
    (SELECT DISTINCT
       -- Normalni identity z ID_TABLE2
        3 priorita_razeni,
        id2.id_name stag_user_name,
        nvl(fn_account_exist(id2.id_name),'N') as account_exists,
        nvl(fn_account_locked(id2.id_name),'N') as account_locked,
        id2.id_role id_role, fn_meaning2(id2.id_role, 'ROLE') role_nazev_cs,
        (select fn_meaning_en(id2.id_role,'ROLE') from dual) role_nazev_en,
        'N' eva_role, 'N' eva_zastupujici,
        id2.id_fakulta fakulta, id2.id_katedra katedra,
        id2.ucitidno ucitidno
    FROM
      id_table2 id2
    WHERE
@IFNOT(0)  id2.ucitidno = (select ucitidno from id_table2 o where o.id_name = upper(:loginName) ) -- IF STAG LOGIN
@IF(0)     id2.ucitidno in (select ucitidno from orion_ucitele o where lower(o.username) = lower(:loginName) ) -- IF ORION LOGIN
    UNION ALL
    -- Fiktivni role vyucujici - pokud ma zaznam v ucitele, tak vzdy vratim.
    -- Aplikace vyuzije jen pokud nema zadnou jinou neevaluacni roli
    SELECT
        2 priorita_razeni, 'XXXXXXXXXXXXX-FIKTIVNI-VY-ROLE-'||uc.ucitidno stag_user_name, 'N' account_exists, 'N' account_locked,
        'VY' id_role, fn_meaning2('VY', 'ROLE') role_nazev_cs,
        (select fn_meaning_en('VY','ROLE') from dual) role_nazev_en,
        'N' eva_role, 'N' eva_zastupujici,
        decode(cp.typ_prac, 'K', cp.nad_prac_zkr, cp.zkr), uc.prac_zkr, uc.ucitidno
    FROM
      ucitele uc,
      cis_pracovist cp
    WHERE
     uc.prac_zkr = cp.zkr(+) and
@IFNOT(0)  uc.ucitidno = (select ucitidno from id_table2 o where o.id_name = upper(:loginName) ) -- IF STAG LOGIN
@IF(0)     uc.ucitidno in (select ucitidno from orion_ucitele o where lower(o.username) = lower(:loginName) ) -- IF ORION LOGIN
    UNION ALL
    -- Evaluacni role: PROREKTOR
    SELECT
        1 priorita_razeni, null stag_user_name, 'N' account_exists, 'N' account_locked,
        'EPR' id_role, 'EVA-PROREKTOR', 'EVA-PROREKTOR', 'A' eva_role, 'N' eva_zastupujici,
        erp.hodnota, erp.hodnota, erl.ucitidno
    FROM
      eva_role erl,
      eva_role_pristup erp
    WHERE
@IFNOT(0)  erl.ucitidno = (select ucitidno from id_table2 o where o.id_name = upper(:loginName) ) -- IF STAG LOGIN
@IF(0)     erl.ucitidno in (select ucitidno from orion_ucitele o where lower(o.username) = lower(:loginName) ) -- IF ORION LOGIN
      and erl.role_uzivatele = 'PROREKTOR'
      and erp.uzroidno =  erl.uzroidno
    UNION ALL
    -- Evaluacni role: DEKAN
    SELECT
        1 priorita_razeni, null stag_user_name, 'N' account_exists, 'N' account_locked,
        'DE' id_role, 'EVA-DĚKAN', 'EVA-DĚKAN', 'A' eva_role, 'N' eva_zastupujici,
        cp.zkr fakulta, cp.zkr katedra, cp.ucitidno
    FROM
      cg_ref_codes cg,
      cis_pracovist cp
    WHERE
@IFNOT(0)  cp.ucitidno = (select ucitidno from id_table2 o where o.id_name = upper(:loginName) ) -- IF STAG LOGIN
@IF(0)     cp.ucitidno in (select ucitidno from orion_ucitele o where lower(o.username) = lower(:loginName) ) -- IF ORION LOGIN
      and cg.rv_domain = 'FAKULTA'
      and cg.rv_abbreviation = cp.zkr
      and cp.typ_prac in 'F'
    UNION ALL
    -- Evaluacni role: ZASTUPUJICI DEKAN A VEDOUCI KATEDRY
    SELECT
        1 priorita_razeni, null stag_user_name, 'N' account_exists, 'N' account_locked,
        decode(erl.role_uzivatele, 'DEKAN', 'DE', 'VK') id_role,
        decode(erl.role_uzivatele, 'DEKAN', 'EVA-ZASTUPUJÍCÍ DĚKAN', 'EVA-ZASTUPUJÍCÍ VEDOUCÍ KATEDRY'),
        decode(erl.role_uzivatele, 'DEKAN', 'EVA-ZASTUPUJÍCÍ DĚKAN', 'EVA-ZASTUPUJÍCÍ VEDOUCÍ KATEDRY'),
        'A' eva_role, 'A' eva_zastupujici,
        decode(erl.role_uzivatele, 'DEKAN', erp.hodnota, null) fakulta,
        erp.hodnota katedra, erl.ucitidno
    FROM
      eva_role erl,
      eva_role_pristup erp
    WHERE
@IFNOT(0)  erl.ucitidno = (select ucitidno from id_table2 o where o.id_name = upper(:loginName) ) -- IF STAG LOGIN
@IF(0)     erl.ucitidno in (select ucitidno from orion_ucitele o where lower(o.username) = lower(:loginName) ) -- IF ORION LOGIN
      and erl.role_uzivatele in ('DEKAN', 'VEDOUCI_KATEDRY')
      and erp.uzroidno =  erl.uzroidno
    UNION ALL
    -- Evaluacni role: VEDOUCI KATEDRY
    SELECT
        1 priorita_razeni, null stag_user_name, 'N' account_exists, 'N' account_locked,
        'VK' id_role, 'EVA-VEDOUCÍ KATEDRY', 'EVA-VEDOUCÍ KATEDRY', 'A' eva_role, 'N' eva_zastupujici,
        null fakulta, cp.zkr katedra, cp.ucitidno
    FROM
      cis_pracovist cp
    WHERE
@IFNOT(0)  cp.ucitidno = (select ucitidno from id_table2 o where o.id_name = upper(:loginName) ) -- IF STAG LOGIN
@IF(0)     cp.ucitidno in (select ucitidno from orion_ucitele o where lower(o.username) = lower(:loginName) ) -- IF ORION LOGIN
      and cp.typ_prac in 'K'
    ) IDS,
  ucitele u,
  cis_pracovist cp_fakulta,
  cis_pracovist cp_katedra
WHERE
  u.ucitidno = ids.ucitidno
  and cp_fakulta.zkr(+) = ids.fakulta
  and cp_katedra.zkr(+) = ids.katedra
order by priorita_razeni desc